﻿/**
 * Created with IntelliJ IDEA.
 * User: Carmen
 * Date: 15-6-2
 * Time: 下午2:11
 * To change this template use File | Settings | File Templates.
 */
getWebView = function(options){
    var view = {};
    view.version = "1.0";
    view._data = {
        conf:{
            data : "",
            type : "",
            jid:"",
            img_url : "",
            img_v : ""
        },
        tpl:{
            goodsList:[
                '{{#board_thread_list}}<li>',
                    '<a href="javascript:void(0);" ttname="{{ttname}}" data-url="{{#https}}{{url}}{{/https}}">',
                        '<img src="{{#https}}{{first_pic_url}}{{/https}}" width="100%" alt="">',
                        '<p class="ad-title ellipsis">{{&subject}}</p>',
                        '<p class="ad-price ellipsis">{{&content}}</p>',
                    '</a>',
                '</li>{{/board_thread_list}}'
            ],
            banner:[
                '<div class="swiper-container">',
                    '<div class="swiper-wrapper flex">',
                        '{{#board_thread_list}}<div class="swiper-slide">',
                            '<h3>{{&subject}}</h3>',
                            '<a href="javascript:void(0);" ttname="{{ttname}}" data-url="{{#https}}{{url}}{{/https}}">',
                            '<img src="{{#https}}{{first_pic_url}}{{/https}}"/></a>',
                        '</div>{{/board_thread_list}}',
                    '</div>',
                    '<div class="swiper-pagination"></div>',
                '</div>'
                ],
            weather:[
                '{{#weatherInfo}}',
                '<div class="weather_d flex row">',
                    '<div class="weather_icon {{weatherClass}}"></div>',
                    '<div class="weather_txt">',
                        '<p class="">{{&weather}}</p>',
                        '<p class="">{{&wind}}</p>',
                    '</div>',
                '</div>',
                '{{/weatherInfo}}'
            ]

        }
    };
    view._util = {};
    view._fun= {};

    (function(d,util){
        util.getHash = function() {
            return $.extend(d.conf, options);
        }
        util.$ = function(em){
            return $(em)
        };
        util.https = function(){
            return function (text, render){
                return render(text).replace("http:","https:");
            }
        }
    })(view._data,view._util);

    (function(d,util,fun){
        var hash = util.getHash();
        var view_data = hash.data;
        var jid = hash.jid;

        fun.create = function(tpl,param,obj,method){
            param.https = util.https;
            var h = Mustache.render(tpl, param);
            var o = util.$(obj);
            switch(method){
                case "1" :
                    o.append(h);
                    break;
                case "2" :
                    o.prepend(h);
                    break;
                case "3" :
                    o.html(h);
                    break;
                case "4" :
                    return h;
            }
        }
        fun.createWeatherList = function(weatherInfo){
            var param ={weatherInfo:[{weatherClass:"",weather:"",wind:""},{weatherClass:"",weather:"",wind:""}]};
            $.each(param.weatherInfo,function(i,v){
                if(i == 0){
                    var f = weatherInfo.f1
                    v.weatherClass = "wtr_"+f.day_weather_code;
                    v.weather = f.night_air_temperature+"~"+ f.day_air_temperature+"°C&nbsp;&nbsp;"+ f.day_weather;
                    v.wind = f.day_wind_direction +"&nbsp;"+ f.day_wind_power.split(" ")[0];
                }else{
                    var f = weatherInfo.f2
                    v.weatherClass = "wtr_"+f.day_weather_code;
                    v.weather = f.night_air_temperature+"~"+ f.day_air_temperature+"°C&nbsp;&nbsp;明天";
                    v.wind = f.day_wind_direction +"&nbsp;"+ f.day_wind_power.split(" ")[0];
                }
            })
            var tpl = d.tpl.weather.join("");
            this.create(tpl,param,jid,"1")
        }
        fun.createGoodsList = function(res){
            //商品列表
            var param = {};
            param.board_thread_list = res.board_thread_list;
            $.each(param.board_thread_list,function(i,v){
                v.ttname = "app_qd_sb_"+i;
                v.url = v.fid == 0 ? v.show_url:v.outsite_url;
            })
            var tpl = d.tpl.goodsList.join("");
            this.create(tpl,param,jid,"1");
        }
        fun.createBanner = function(res){
            //轮播
            var param = {};
            param.board_thread_list = [];
            $.each(res.board_thread_list,function(i,v){
                if(i<5){
                    v.ttname = "app_qd_lbt_"+i;
                    v.url = v.fid == 0 ? v.show_url:v.outsite_url;
                    param.board_thread_list.push(v)
                }else
                    return false;
            })
            var tpl = d.tpl.banner.join("");
            this.create(tpl,param,jid,"1");
        }
        fun.init = function(){
            if(d.conf.type == "banner"){
                fun.createBanner(view_data);
            }else if(d.conf.type == "goods"){
                fun.createGoodsList(view_data);
                $(".ad-gold").show();
            }else if(d.conf.type == "weather"){
                fun.createWeatherList(view_data);
            }
            var o = util.$(jid);
            o.show();
            $(".loadImg").hide();//加载中
        }
        fun.init();

    })(view._data,view._util,view._fun)
}

