//金币效果
$(function(){
	init();
	function init(){
		var cityName = "hangzhou"
		connectWebViewJavascriptBridge(function(bridge){
			if(bridge.getLocalCityName != undefined){
				cityName = bridge.getLocalCityName();
			}
		})
		setFontSize();
		getWeather(cityName);
		if(cityName == "chongqing"){
            getBoard("49101487579596988",1);//轮播
            getBoard("49091487579566044",2);	//商品
		}else{
            getBoard("48931446714138645",1);//轮播
            getBoard("48951446715661675",2);	//商品
		}
		getSign(cityName);


		/*金币商城*/
		$(".to_gold").live("click",function(){
            var url = cityName == "chongqing"?"https://life.19lou.com/cq/gold/wap/index.html": "https://life.19lou.com/gold/wap/index.html";
            connectWebViewJavascriptBridge(function(bridge){
                bridge.createWebPage("金币商城","https://www.19lou.com/wap/connect?r="+url);
            })
		})
		//回首页
		$(".backHome").live("click",function(){
            connectWebViewJavascriptBridge(function(bridge){
                bridge.closeView("");
            })
		})
		/*轮播图点击*/
		$(".swiper-slide a").live("click",function(){
			var url = $(this).attr("data-url");
			goToTargetPage(url);
		})

		/*商品详情点击*/
		$(".ad-bottom a").live("click",function(){
			var url = $(this).attr("data-url");
			goToTargetPage(url);
		})
		/*空气指数*/
		$('#indicatorContainer').radialIndicator({
			barColor: '#ffcd20',
			barWidth: 5,
			initValue:0,
			roundCorner : true,
			percentage: true,
			displayNumber: false,
			radius: 50,
			minValue:0,
			maxValue:300
		});
	}
	function goToTargetPage(url){
		var addUrl = "https://www.19lou.com/wap/connect?r=";
		var toUrl = addUrl+url;
		linkAnalysis(toUrl);
	}
	function setFontSize(){
		var _winWidth=document.documentElement.scrollWidth > 0?document.documentElement.scrollWidth:document.body.scrollWidth,_style=document.getElementsByTagName("html")[0].style;
		_winWidth >= 750 ? _style.fontSize = "100px" : _style.fontSize = _winWidth/7.5+ "px";
		$(".contain").show();
	}
	function getDate(y,m,d){
		var lunar = calendar.solar2lunar(y,m,d);
		$(".time_yang").html(lunar.cYear+'年'+lunar.cMonth+'月'+'<span>'+lunar.cDay+'</span>'+'日')
		$(".time_lunar").append('农历'+lunar.IMonthCn+lunar.IDayCn+'<em>周'+lunar.cWeek+'</em>')
	}
	function getWeather(cityName){
		var data =  util.getApi().data;
		data.areaName = cityName;
		var actUrl = "https://www.19lou.com/api/app/getWeatherInfo";
		$.ajax({
			contentType: "application/json",
			type: "GET",
			url: actUrl,
			data: data,
			dataType: 'jsonp',
			jsonp: "clientjsonp",
			success: function (res) {
				try{
					if(res.weather_info != undefined && res.weather_info != null){
						var weatherInfo = JSON.parse(res.weather_info);
						if(weatherInfo.showapi_res_code == "0"){
							var weather = weatherInfo.showapi_res_body;
							if(weather.f1.day_weather.indexOf("雨") > -1)
								$(".rain").show();
							else if(weather.f1.day_weather.indexOf("晴") > -1)
								$(".sunny").show();
							else if(weather.f1.day_weather.indexOf("雪") > -1)
								$(".snow").show();
							else
								$(".cloud").show();
							var aqi = weather.now.aqiDetail.aqi;
							$(".addr").text(weather.cityInfo.c3);
							setTimeout(function(){
								var radialObj = $('#indicatorContainer').data('radialIndicator');
								radialObj.animate(aqi);
							},100);
							$(".air_qlity").append(aqi);
							$(".quality").text(weather.now.aqiDetail.quality);
							getWebView({data:weather,type:"weather",jid:".weather"})
						}
					}
				}catch(e){
					$(".sunny").show();
				}				
				$(".sign").show();
			},
			error: function (e) {
                $(".sign").show();
			}
		})
	}
	function  getSign(cityName) {
		var data =  util.getApi().data;
		var actUrl = "https://www.19lou.com/api/user/getSignRecord";
		var postUrl = "https://www.19lou.com/api/user/signNew";
		data.channel=1;
		data.withOthers=true;
		var today = new Date();
		data.limit=parseInt(today.getDate());
		$.ajax({
			contentType:"application/json",
			type :"GET",
			url : actUrl,
			data : data,
			dataType: 'jsonp',
			jsonp: "clientjsonp",
			success: function(res){
				if(res.code==1){
                    getDate(parseInt(today.getFullYear()),parseInt(today.getMonth())+1,parseInt(today.getDate()));//日期格式
					$(".sign_days").html(res.sign_days);
					if(res.today_sign){
						$(".sign_statue").html("已签到");
						$(".sign_statue").removeClass("gray")
					}else{
						data.drawGold = true;
						data.cityName = cityName;
						var r = navigator.userAgent.match(/nineteenlou\/([0-9]+)\.([0-9]+)\.*([0-9]*)/);
						if(r){
							data.ver = r[1]+'.'+r[2]+'.'+r[3]
						}
						$.ajax({
							contentType:"application/text",
							type :"GET",
							url : postUrl,
							data : $.param(data),
							dataType: 'jsonp',
							jsonp: "clientjsonp",
							success: function(ress){
								if(ress.success){
									//connectWebViewJavascriptBridge(function(bridge){
									//	if(bridge.dataReturn != undefined){
									//		bridge.dataReturn(JSON.stringify({gold:ress.sign_gold}));
									//	}
									//});
									$(".sign_statue").html("已签到");
                                    $(".sign_statue").removeClass("gray")
									var days  = parseInt($(".sign_days").text()) + 1;
									$(".sign_days").html(days);
									$(".sign_days").parent().addClass("qd_num")
									if(ress.medal){
										connectWebViewJavascriptBridge(function(bridge){
											try{
												bridge.showMedalDialog(JSON.stringify(ress.medal))
											}catch(e){}											
										});
									}
								}
							},
							error: function(e){
								util.showToast("网络异常，稍后再试！")
							}
						});
					}
					$(".date_time").css("visibility","visible")
				}else{
					util.showToast("网络异常，稍后再试！")
				}
			},
			error: function(e){
				util.showToast("网络异常，稍后再试！")
			}
		});
	}
	//取花坛
	function getBoard(bid,board){
		var apiObj = util.getApi();
		var data =  apiObj.data;
		data.bid = bid;
		data.stick = 1;
		var board = board;
		$.ajax({
			contentType:"application/json",
			type :"GET",
			url : "https://www.19lou.com/api/board/getBoardThreadList",
			data : data,
			dataType: 'jsonp',
			jsonp: "clientjsonp",
			success: function(res){
				var items = res;
				var html = "";
				if(board == 1){
					getWebView({data:items,type:"banner",jid:".swiper-con"})
					bannerMove();
				}else if(board == 2){
					getWebView({data:items,type:"goods",jid:".ad-bottom"})
				}
			},
			error: function(e){
				util.showToast("网络异常，稍后再试！")
			}
		});
	}
	// 广告轮播
	function bannerMove(){
		var mySwiper = new Swiper('.swiper-container', {
			autoplay: 5000,
			autoplayDisableOnInteraction:false,
			pagination: '.swiper-pagination',
			paginationClickable: true
		});
	}
})



