
/**
 * 视频的处理方法
 */
var showTipOn=1;
var __fullscreenflag__=false;
function fullscreenEnable(myPlayer) {
    var isFullscreen = document.webkitIsFullScreen;
    if(isFullscreen){
        console.log('全屏模式');
        myPlayer.paused=false;
        myPlayer.muted=false;
    }else{
        console.log('非全屏模式');
        myPlayer.muted=true;
    }
}
document.addEventListener('webkitfullscreenchange',function(){
    if(__fullscreenflag__){
        __fullscreenflag__=false;
    }else{
        __fullscreenflag__=true;
    }
});
//浏览器发动全屏
var video = {
    errorVideo:function(id){
        id.controls = false;
        id.parentNode.className = 'video19 errorVideo';
        id.setAttribute("poster","");
    },
    videoAutoPause:function(){//视频4G下不自动播放
        var videoLen=$("video").length;
        for(var t=0;t<videoLen;t++){
            var videoId=document.getElementsByTagName("video");
            if(videoId[t].firstElementChild.src.indexOf('citysbs.com') >= 0) {
                videoId[t].setAttribute("preload", "none");//4G下不可以缓存
                videoId[t].t=t;
                videoId[t].addEventListener('play',function(){
                    ttclickAdd("tz_video_play_app");
                    if(showTipOn){
                        showTipOn=0;
                        showTip("当前网络非wifi状态");
                    }
                })
            }
        }
        var isFullscreen = document.webkitIsFullScreen;
        if(isFullscreen){
            connectWebViewJavascriptBridge(function(bridge){
                bridge.showToast("当前网络非wifi状态");
            })
        }
    },
    videoAutoPlay:function(){//视频动态加载视频wifi下自动播放
        var videoLen=$("video").length;
        var clientH=$(window).height();
        var _winWidth=document.body.clientWidth || document.getElementsByTagName('body')[0].getBoundingClientRect().width;
        var videoH=(40*_winWidth)/75;//视频的高度
        var moveH=(80*_winWidth)/75;//视频在页面中滑动的范围
        var timer;
        var arr=[];

        //*视频在第一屏的时候*/
        var _video = document.getElementsByTagName("video");
        var _t;
        _t = setInterval(function(){
            if(_video.length == 0){
                _video = document.getElementsByTagName("video");
            }else{
                clearInterval(_t);
                if(_video[0].firstElementChild.src.indexOf('citysbs.com') >= 0){
                    var top = _video[0].getBoundingClientRect().top;//元素顶端到可见区域顶端的高度
                    var shirtTop=((clientH-videoH)/2)-videoH;//视频离顶部的最小高度;
                    var longTop=clientH-((clientH-videoH)/2);//视频离顶部的最大高度;
                    if(top > shirtTop && top < longTop && top > 0) {
                        var videObj = _video[0];
                        videObj.muted = true;
                        videObj.play();
                    }
                }
            }
        },500);
        //全屏控制声音
        for(var h=0;h<videoLen;h++) {
            if (_video[h].firstElementChild.src.indexOf('citysbs.com') >= 0) {
                _video[h].h=h;
                _video[h].addEventListener('webkitfullscreenchange',function(){
                    ttclickAdd("tz_video_fScreen_app");
                    fullscreenEnable(_video[this.h])
                });
                _video[h].addEventListener('play',function(){
                    ttclickAdd("tz_video_onplay_app");
                    if(_video[this.h].networkState==3) {
                        video.errorVideo(_video[this.h]);
                    }
                });
            }
        }
        /*向下滚动的时候*/
            $(window).bind("scroll resize",function(){
                clearTimeout(timer);
                timer=setTimeout(function(){
                    if(__fullscreenflag__){return; }
                    for(var t=0;t<videoLen;t++){
                        var videoId=document.getElementsByTagName("video");
                        if(videoId[t].firstElementChild.src.indexOf('citysbs.com') >= 0){
                            var top = videoId[t].getBoundingClientRect().top;//元素顶端到可见区域顶端的高度
                            var shirtTop=((clientH-videoH)/2)-videoH;//视频离顶部的最小高度;
                            var longTop=clientH-((clientH-videoH)/2);//视频离顶部的最大高度;
                            videoId[t].pause();
                            if(top > shirtTop && top < longTop && top > 0) {
                                arr.push(videoId[t]);
                            }
                        }
                    }
                    if(arr.length>0){
                        var myPlayer =arr[0];
                        myPlayer.muted = true;
                        myPlayer.play();
                        if(myPlayer.networkState==3){
                            video.errorVideo(myPlayer);
                        }
                    }
                    arr=[]
                },100);
            });
    },
    conVideoPuase:function(){//内容页退出视频暂停
        var conVideo=document.getElementsByTagName("video");
        var iframes = document.getElementsByTagName('iframe');
        for(var t=0;t<conVideo.length;t++) {
            (function(a){
                conVideo[a].pause();
            })(t)
        }
        for(var i=0;i<iframes.length;i++) {
            var iframeVideo=iframes[i].contentWindow.document.getElementsByTagName("video");
            for(var k=0;k<iframeVideo.length;k++) {
                (function(a){
                    iframeVideo[a].pause();
                })(k)
            }
        }
    }
};




