function getCategroy(categoryName,message) {
    if (categoryName && categoryName != "") {
        getKeyWord(categoryName,message, function (idList, sortArray) {
            getShopInfo(idList, sortArray);
        });
    }
}

function getKeyWord(categroyName,message,cb) {
    var idMap = [];
    var url = "https://haodian.19lou.com/circle/tagMap?categoryName=" + encodeURIComponent(categroyName);
    var cityName = config.keyData.bfInfo && config.keyData.bfInfo.city_name?config.keyData.bfInfo.city_name : tool.getCityNameByDomain(config.keyData.domain)
    $.ajax({
        type: "GET",
        url: url,
        dataType: 'jsonp',
        jsonp: "clientjsonp",
        data: {cityName:cityName,fid:config.keyData.fid},
        success: function (res) {
            if (Object.keys(res).length > 0) {
                var sortArray = [];
                $.each(res, function (key, value) {
                    var _index = message.indexOf(key);
                    if(_index > -1){
                        sortArray.push({i:_index,v:value,k:key})
                    }
                });
                sortArray.sort(function (a,b) {
                    return a.i - b.i
                });
                $.each(sortArray,function (index,value) {
                    if($.isArray(value.v)){
                        $.each(value.v,function (index1,value1) {
                            idMap.push(value1)
                        })
                    }
                })
				sortArray.sort(function(a, b) {
					return b.k.length - a.k.length
				});
                typeof cb == "function" && cb(idMap, sortArray)
            }
        },
        error: function () {

        }
    })
}

//  根据shopID来获取具体商家信息
function getShopInfo(dataList, sortArray) {
    var tid = config.keyData.tid;
    // var url = 'https://haodian.19lou.com/circle/shopInfo/list'; // 旧
    var url = 'https://haodian.19lou.com/circle/shopInfo/listNew';  // 新
     // var url = 'https://haodian.19louimg.cn/circle/shopInfo/listNew'; //测试
    var html = '';
    var cityName = config.keyData.bfInfo && config.keyData.bfInfo.city_name?config.keyData.bfInfo.city_name : tool.getCityNameByDomain(config.keyData.domain)
    var moreHtml = '<a href="javascript:;" ttname="app_bbs_detail_new_bq_more" class="shop-list-more"><div class="">查看更多</div><div class="shop-open"></div></a>';
    if (dataList.length > 0) {
        $.ajax({
            url: url,
            data: { shopIds: dataList.toString(),cityName:cityName,fid:config.keyData.fid,categoryName:config.keyData.category_name },
			// data: { 'shopIds':'53101577188594011','categoryName':'婚庆服务'},
            type: 'POST',
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (new_res) {
                var res = null
                var industryInfo = null

                if(new_res){
                    res = new_res.shopInfos
                    industryInfo = new_res.industryInfo
                }
                if(res && industryInfo && res.length == 0 && industryInfo.normalShopImage){
                    var r_html = ''
                    if(industryInfo && industryInfo.normalShopText){
                        r_html +="<div class='shop-title'><div class='shop-green-tag'></div><div class='shop-title-text'>"+industryInfo.normalShopText+"</div></div>"
                    }
                    r_html += "<div class='shop-recommend-con'>"
                    r_html += "<a class='tj-shop-a' data-url='"+ industryInfo.shopWapUrl +"' target='_blank'>"
                    r_html += "<img class='shop-recommend-img' src='"+industryInfo.normalShopImage+"' alt=''/>"
					if(industryInfo.normalShopImageDesc.length>0){
						r_html += "<div class='shop-recommend-desc'>" + industryInfo.normalShopImageDesc + "</div>"
					}
                    r_html += "</a></div>"
                    $('.shop-list').append(r_html).show();
                }else if(res.length >0){
					var boardMap = {}
					for (var i = 0; i < res.length; i++) {
						if (res[i].shopId) {
							var shopId = res[i].shopId
							boardMap[shopId] = res[i]
						}
					}
					for (var idx in sortArray) {
						var item = sortArray[idx]
						var pattern = new RegExp(item.k, 'g');
						var bid = ''
						for (var index in item.v) {
							var shopId = item.v[index]
							if (boardMap[shopId]) {
								bid = boardMap[shopId].bid
								break
							}
						}

						if (!bid) {
							continue
						}

						var allChildNodes = function(node) {
							var getAllChildNodes = function(node) {
								var nodes = node.childNodes;
								for (var i = 0; i < nodes.length; i++) {
									var child = nodes[i];
									if (child && child.nodeName != "A") {
										if (child.nodeType == "3") {
											var data = child.data
											if(!pattern.test(data)){
												continue
											}
											data = data.replace(pattern, '<a style=' + '"color:#0066cc;"' + 'ttname="App_bq_sjq_click_' + bid + '_' + tid + '" href="//www.19lou.com/board-' + bid + '-1.html" target="_blank">' + item.k + '</a>')
											var c = document.createElement('span')
											c.innerHTML = data
											var next = child.nextSibling,
												parent = child.parentNode;

											if (parent) {
												parent.insertBefore(c, next);
												$(child).remove();
											}
										} else {
											getAllChildNodes(child);
										}

									}
								}
							}
							getAllChildNodes(node);
						}
						var allcn = allChildNodes($('.mainLift').get(0))

					}
                    //新版 标签优化 title more(查看更多可能不显示)
					var shop_title = ''
					if(res.length > 1 || (industryInfo && industryInfo.approveShopText)){
						shop_title += "<div class='shop-title'>"
						if(industryInfo && industryInfo.approveShopText){
							shop_title += "<div class='shop-green-tag'></div><div class='shop-title-text'>"+industryInfo.approveShopText+"</div>"
						}
						if(res.length > 1){
							shop_title += moreHtml
						}

						shop_title += "</div>"
					}
					// shop_title = "<div class='shop-title'><div class='shop-green-tag'></div><div class='shop-title-text'>提及商家</div></div>"
					// if(res.length > 1){
					//     shop_title = "<div class='shop-title'><div class='shop-green-tag'></div><div class='shop-title-text'>提及商家</div>"+ moreHtml +"</div>"
					// }
					// 新版 标签优化 只显示第一个券或者商家了
				   // html = '<div class="new-shop-item" ttnameNew="{ttname}' + 0 + '_' + res[0].bid + '_'+tid+'" ><a class="shop-item" ttname="{ttname}click_' + 0 + '_' + res[0].bid + '_'+tid+'" href="//www.19lou.com/board-' + res[0].bid + '-1.html" target="_blank">' +
				   //      '<div class="fl picture">' +
				   //      ' <img src="https:' + res[0].coverImg + '" alt="">' +
				   //      '</div>' +
				   //      ' <div class="fl shop-info">' +
				   //      '<p class="shop-name ellipsis">' + res[0].shopName + '</p>';
				   //  if (res[0].couponDetail != null) {
				   //      html += ' <p class="info-price"><em>' +res[0].couponDetail.price*10000/1000000 + '</em>元</p>' +
				   //          ' <p class="info-other name ellipsis">' + res[0].couponDetail.name + '</p>'
				   //  } else if (res[0].itemDetail != null) {
				   //      html += ' <p class="info-price"><em>' + res[0].itemDetail.price*10000/1000000 + '</em>元</p>' +
				   //          ' <p class="info-other name ellipsis">' + res[0].itemDetail.name + '</p>'
				   //  } else {
				   //      var _shopDetailmember = parseInt(res[0].shopDetail.member)
				   //      if(_shopDetailmember>10000){
				   //          _shopDetailmember = parseFloat(_shopDetailmember/10000).toFixed(1) + "w"
				   //      }
				   //      var _shopDetailcaseNum = parseInt(res[0].shopDetail.caseNum)
				   //      if(_shopDetailcaseNum>10000){
				   //          _shopDetailcaseNum = parseFloat(_shopDetailcaseNum/10000).toFixed(1) + "w"
				   //      }
				   //      html += ' <p class="info-other member ellipsis">成员数：<em>' + _shopDetailmember + '个</em></p>' +
				   //          ' <p class="info-other casenum ellipsis">案 例：<em>' + _shopDetailcaseNum + '个</em></p>'
				   //  }
				   //  html+='</div>'
				   var shop_name_class = 'shop-name ellipsis fl long'
				   if(res[0].bestTenShop === 1 && res[0].bestTenShopTitle.length>0){
						shop_name_class = 'shop-name ellipsis fl'
				   }
					var _html=""
					_html += '<div class="new-shop-item" ttnameNew="{ttname}' + 0 + '_' + res[0].bid + '_'+tid+'" ><a class="shop-item" ttname="{ttname}click_' + 0 + '_' + res[0].bid + '_'+tid+'" href="//www.19lou.com/board-' + res[0].bid + '-1.html" target="_blank">' +
						'<div class="fl picture">' +
						' <img src="https:' + res[0].coverImg + '" alt="">' +
						'</div>' +
						' <div class="fl shop-info">' +
						'<div class="info-one"><span class="'+shop_name_class+'">'+res[0].shopName+'</span>';
					if(res[0].approveStatus === 1){
						_html += '<span class="vip-icon fl"></span>';
					}
					if(res[0].bestTenShop === 1 && res[0].bestTenShopTitle.length>0){
					    _html += '<span class="sj-icon fl"><em></em>'+res[0].bestTenShopTitle+'</span>';
					}
					_html += '</div>';

          // 第二行
          if(res[0].showComment==1){
          _html +=  '<div class="info-two">';
          
					if(res[0].avgAccess>=4.5){
						// 红星
						_html +=  '<span class="icon-list star red">';
						if(res[0].avgAccess>=4.9){
							_html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p>';

						}else{
							_html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p class="half"></p>';

						}
						_html +=  '</span>';
					}else{
						// 黄星
						_html +=  '<span class="icon-list star yellow">';
						if(res[0].avgAccess<0.5){
							_html +=  '<p></p><p></p><p></p><p></p><p></p>';
						}else if(res[0].avgAccess<0.9){
							_html +=  '<p class="half"></p><p></p><p></p><p></p><p></p>';
						}else if(res[0].avgAccess<1.5){
							_html +=  '<p class="color"></p><p></p><p></p><p></p><p></p>';
						}else if(res[0].avgAccess<1.9){
							_html +=  '<p class="color"></p><p class="half"></p><p></p><p></p><p></p>';
						}else if(res[0].avgAccess<2.5){
							_html +=  '<p class="color"></p><p class="color"></p><p></p><p></p><p></p>';
						}else if(res[0].avgAccess<2.9){
							_html +=  '<p class="color"></p><p class="color"></p><p class="half"></p><p></p><p></p>';
						}else if(res[0].avgAccess<3.5){
							_html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p></p><p></p>';
						}else if(res[0].avgAccess<3.9){
							_html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="half"></p><p></p>';
						}else{
							_html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p></p>';
						}
						_html +=  '</span>';
					}
					if(res[0].avgAccess>0){
						_html += '<span class="avg">'+parseFloat(res[0].avgAccess).toFixed(1)+'</span>';
					}
					if(res[0].showAvgPrice===1&&res[0].avgPrice){
						_html += '<span class="price">均价:￥<em>'+res[0].avgPrice+'</em></span>';
          }
        
          _html +=  '</div>';
        }
					// 第三行
					_html +=  '<div class="info-three"><span class="s-title fl ellipsis">'+res[0].categoryName+'</span><span class="address fl ellipsis">'+res[0].businessCircle+'</span></div>';
					_html +=  '</div>';
					_html += '</div>';
					_html = shop_title + _html ;
					_html = _html.replace(/{ttname}/g,"app_bbs_detail_new_bq_sjq_");
					$('.shop-list').append(_html).show();
					ttclickAdd("app_bbs_detail_new_bq_sjq_0_" + res[0].bid + "_" +tid,document.getElementsByClassName("shop-item")[0]);
					if(res.length > 1){
						config.keyData.shopList = res
					}
                }

            }
        })
    }

}
