function  getRecommCroupsView() {
    if($(".rcmd ul .load").length>0){
        $(".rcmd ul .load").remove();
    }
    var storage = window.localStorage;
    localKey.RECOMM_LOCAL_KEY = config.keyData.uid+config.keyData.localCityName;
    if(storage && storage.getItem(localKey.RECOMM_LOCAL_KEY) != undefined){
        var localValue = JSON.parse(storage.getItem(localKey.RECOMM_LOCAL_KEY));
        if(Date.parse(new Date) - localValue.time<12*60*60*1000){
            getView(localValue.data);
        }else{
            ajaxDate();
            storage.removeItem(localKey.RECOMM_LOCAL_KEY);
        }
    }else{
        ajaxDate();
    }
}
function ajaxDate(storage){
    var data = {};
    data.cityName = config.keyData.localCityName;
    getNewApiKey()
    data = $.extend(data,config.apiKey);
    var actUrl = "https://"+config.keyData.domain+"/api/board/getRecommendGroups";
    $.ajax({
        contentType:"application/json",
        type :"GET",
        url : actUrl,
        data : data,
        dataType: 'jsonp',
        jsonp: "clientjsonp",
        success: function(res){
            if(res.code == "1"){
                getView(res.return_list);
                if(window.localStorage){
                    var json = {};
                    json.time = Date.parse(new Date);
                    json.data = res.return_list;
                    window.localStorage.setItem(localKey.RECOMM_LOCAL_KEY,JSON.stringify(json));
                }
            }else{
                $(".rcmd ul").append("<a class=\"load\">点击重新加载</a>");
            }
        },
        error: function(e){
            $(".rcmd ul").append("<a class=\"load\">点击重新加载</a>");
        }
    });
}

function getView(data){
    var recommTpl = [
        '{{#return_list}}'+
            '<li>' +
                '<a ttname="{{ttname}}" data-domain="{{frontdomain}}" board-type = {{board_type}} data-type="{{recom_type}}" data-bid="{{bid}}"  data-fid="{{fid}}" data-name="{{name}}" class="tzlink">' +
                    '<img src="{{cover}}" alt="">' +
                    '<div class="text">' +
                        '<h1 style="font-size:{{fontSize}}">{{name}}{{#sqrz}}<img src="view/css/images/Authentication2.png" alt="">{{/sqrz}}{{#sjrz}}<img src="view/css/images/Authentication1.png" alt="">{{/sjrz}}</h1>' +
                        '<span>帖子：<i class="tz_num">{{total_tid_num}}</i>&nbsp;&nbsp;成员：<i class="cy_num">{{subscribe_num}}</i></span>' +
                    '</div>' +
                '</a>' +
                '{{#subscribe}}<a href="javascript:void(0);" class="add ">已关注</a>{{/subscribe}}' +
                '{{^subscribe}}<a href="javascript:void(0);" class="add noAdd"  data-bid="{{bid}}"  data-fid="{{fid}}" data-type="{{recom_type}}" data-cityname="{{city_name}}" ttname="{{jrttname}}">关注</a>{{/subscribe}}' +
            '</li>'+
        '{{/return_list}}'
    ]
    data.sort(function(){ return 0.5 - Math.random() })
    var param ={};
    param.return_list = [];
    for(var j= 0;j<3;j++) {
        if(j<data.length){
            param.return_list[j] = data[j];
            if(param.return_list[j].recom_type == "2"){
                param.return_list[j].ttname = "app_tz_qz_"+param.return_list[j].bid+"_"+config.keyData.localCityName;
                param.return_list[j].jrttname = "app_tz_qz_jr_"+param.return_list[j].bid+"_"+config.keyData.localCityName;
            }else{
                param.return_list[j].ttname = "app_tz_qz_"+param.return_list[j].fid+"_"+config.keyData.localCityName;
                param.return_list[j].jrttname = "app_tz_qz_jr_"+param.return_list[j].fid+"_"+config.keyData.localCityName;
            }
            param.return_list[j].total_tid_num = getInt(param.return_list[j].total_tid_num)
            param.return_list[j].subscribe_num = getInt(param.return_list[j].subscribe_num)
             if(param.return_list[j].verify==1){
                param.return_list[j].sqrz=1
             }else if(param.return_list[j].verify==2){
                 param.return_list[j].sjrz=1
             }
            param.return_list[j].cover = tool.replaceHttps(param.return_list[j].cover)
        }else{
            break;
        }
    }
    switch(config.keyData.fontSize){
        case "s":param.fontSize = "15px";
            break;
        case "m":param.fontSize = "17px";
            break;
        case "l":param.fontSize = "19px";
            break;
    }
    var tpl = recommTpl.join("");
    var html = Mustache.render(tpl, param);
    $(".rcmd ul").append(html);
}
function getInt (str){
    var finnalnum,
        finnal=""
    if(str.length>4){
        var num = str.substr(-4,1);
        var index = str.length-4;
        if(num >= 5){
            finnalnum = parseInt(str.substring(0,index))+1;
            finnal = finnalnum + "万"
        }else{
            finnalnum = str.substring(0,index);
            finnal = finnalnum + "万"
        }
    }else{
        finnal = str;
    }
    return finnal;
}
//点击事件
$(".rcmd .load").live("click",function(e){
    //点击重新加载
    getRecommCroupsView();
})

//圈圈推荐 点击加入
$("#qztj .noAdd").live("click",function(){
    if(config.keyData.uid == 0){
        wbBridge.bridge("showLoginView")
    }else{
        var _this = $(this);
        var data = {},
        type = _this.attr("data-type");
        actUrl = "";
        if(type == "2"){
            actUrl = "https://"+config.keyData.domain+"/api/board/addSubscribeBoard";
            data.bid = _this.attr("data-bid");
        }else{
            actUrl = "https://"+config.keyData.domain+"/api/forum/fav4jia";
            data.fid = _this.attr("data-fid");
            data.cityName = _this.attr("data-cityName");
        }
        getNewApiKey()
        data = $.extend(data,config.apiKey);
        $.ajax({
            contentType:"application/json",
            type :"GET",
            url : actUrl,
            data : data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                if(res.code == 1){
                    _this.html("已关注");
                    _this.removeClass("noAdd");
                }else if(res.error == "2050302"){
                    showTip("你已经关注过了");
                }else{
                    showTip("提交失败");
                }
            }
        });
    }
})
//圈圈推荐点击进去相关圈圈
$(".tzlink").live("click",function(){
    var $this = $(this);
    var boardType = $(this).attr("board-type");
    if($(this).attr("data-type") == "2"){
        var bid = $(this).attr("data-bid");
        if(boardType == "8"){
            //商家圈
            wbBridge.bridge("gotoBusinessCircle",bid);
        }else if(boardType == "9"){
            //晒图广场
            wbBridge.bridge("gotoBlueprintSquare",bid);
        }else{
            wbBridge.bridge("gotoInterestGroupList",bid);
        }
    }else{
        var rjson ={};
        rjson.forumName = $this.attr("data-name");
        rjson.fid = $this.attr("data-fid");
        rjson.domain = $(this).attr("data-domain");
        wbBridge.bridge("gotoForum",JSON.stringify(rjson));
    }
})


