
/**
 * 视频的处理方法
 */
var showTipOn=1;
var videoArray = []
var __fullscreenflag__=false;
document.addEventListener('webkitfullscreenchange',function(){
    if(__fullscreenflag__){
        __fullscreenflag__=false;
    }else{
        __fullscreenflag__=true;
    }
});
function fullscreenEnable(myPlayer) {
    var isFullscreen = document.webkitIsFullScreen;
    if(isFullscreen){
        console.log('全屏模式');
        myPlayer.paused=false;
        myPlayer.muted=false;
    }else{
        console.log('非全屏模式');
        myPlayer.muted=true;
    }
}
//浏览器发动全屏
var video = {
    errorVideo:function(id){
        id.controls = false;
        id.parentNode.className = 'video19 errorVideo';
        id.setAttribute("poster","");
    },
    addPlayBtn:function(_parentNode){        
        var video_play_div = document.createElement('div');
        video_play_div.className = 'video_play_btn needsclick';
        _parentNode.appendChild(video_play_div);
        video_play_div.addEventListener('click',function(e){
            _parentNode.children[0].play()
            this.remove();
            e.stopPropagation()
        })
    },
    videoInit:function(status){
        var _this = this;
        var _videoArray = document.getElementsByTagName("video"), videoH=(40*_winWidth)/75 , clientH = $(window).height(),scrollTime = null;
        var _t,_number = 0;
        _t = setInterval(function(){
            if(_videoArray.length == 0){
                _videoArray = document.getElementsByTagName("video");
                if(_number > 10){
                    clearInterval(_t);
                }
                _number++;
            }else{
                clearInterval(_t);                   
                $.each(_videoArray,function(i,_video){
                    var _parentNode = _video.parentNode;
                    if(_parentNode.className.indexOf('video19') > -1 && _video.getAttribute("preload") == 'none') {
                        _video.id = i;
                        //兼容ios省电模式点解无法播放
                        // _this.addPlayBtn(_parentNode);
                        _video.setAttribute("preload", "meta");//不需要预加载完整视频
                        _video.addEventListener('play',function(){
                            var _this = this
                            ttclickAdd("tz_video_play_app");
                            if(this.networkState==3) {
                                video.errorVideo(this);
                            }
                            if(config.interactData.needShowVideoTip){//4g下播放给提示，只给一次提示
                                connectWebViewJavascriptBridge(function(bridge){
                                    bridge.showToast("正在使用流量播放");
                                    config.interactData.needShowVideoTip = false;
                                })
                            }
                            $.each(_videoArray,function(i,_video){
                                if(_video.id !== _this.id)
                                _video.pause()
                            })
                        })
                        _video.addEventListener('webkitfullscreenchange',function(){
                            ttclickAdd("tz_video_fScreen_app");
                            // fullscreenEnable(this)
                        });
                    }
                })
            }
        },500)
        
        $(window).bind("scroll resize",function(){
            scrollTime && clearTimeout(scrollTime);
            scrollTime = setTimeout(function(){
                if(__fullscreenflag__){return; }
                $.each(_videoArray,function(i,_video){
                    var _top = _video.getBoundingClientRect().top;
                    if(_top < 0 || _top + videoH > clientH){
                        _video.pause();
                    }
                })
            },100)  
        });
    }, 
    conVideoPuase:function(){//内容页退出视频暂停
        var conVideo=document.getElementsByTagName("video");
        var iframes = document.getElementsByTagName('iframe');
        for(var t=0;t<conVideo.length;t++) {
            (function(a){
                conVideo[a].pause();
            })(t)
        }
        for(var i=0;i<iframes.length;i++) {
            var iframeVideo=iframes[i].contentWindow.document.getElementsByTagName("video");
            for(var k=0;k<iframeVideo.length;k++) {
                (function(a){
                    iframeVideo[a].pause();
                })(k)
            }
        }
    }
};




