/**
 * Created with IntelliJ IDEA.
 * User: chensisi
 * Date: 16-8-25
 * Time: 下午5:56
 * Desc: 体验帖列表，报名，提示，体验券创建等页面相关逻辑
 * To change this template use File | Settings | File Templates.
 */
(function(util){
    var config = util.getApi().data;
    var expConfig = {}
    expConfig._data = {
        jid:"#contain"
    };

    var experienceTpl = {
        //体验贴主帖列表页【后台运营审核通过的数据】
        list:['{{#main_threads}}{{#main_thread}}<div class="J_modular modular off">',
            '<a href="javascript:;" class="J_toExpMainThread" data-domain="{{ref_site_domain}}" data-fid="{{bid}}" data-tid="{{tid}}" data-threadExp="{{thread_exp}}" data-userHasExp="{{user_has_exp}}" data-fName="{{board_name}}">',
            '<img src="{{pic_addr}}" width="100%" class="bigimg">',
            '<div class="mod-txt">',
            '<h3>{{ref_title}}</h3>',
            '<div class="mod-date">',
            '<p class="hot">热度<span>{{ref_views}}</span></p>',
            '</div>',
            '</div>{{/main_thread}}',
            '<div class="J_expList reply-list">',
            '<ul>',
            '{{#exp_threads}}<li>',
            '<span><img src="{{user_avatar_url}}"></span>',
            '<p>{{ref_summary}}</p>',
            '</li>{{/exp_threads}}',
            '</ul>',
            '</div>',
            '</a>',
            '{{#main_thread}}<a href="javascript:;" class="J_goBizCircle author" data-bid="{{bid}}"><img src="{{shop_logo}}"></a>{{/main_thread}}',
            '</div>{{/main_threads}}'
        ],

        //商家报名页面 不分页
        join:[
            '<div class="J_expJoin">',
            '{{#bd_threads}}<div class="modular J_joinItem">',
            '<a href="javascript:;">',
            '<img src="{{pic_addr}}" width="100%" class="bigimg">',
            '<div class="mod-txt">    ',
            '<h3>{{ref_title}}</h3>  ',
            '<p>有<em class="orange">{{exp_count}}</em>人分享体验报告</p> ',
            '</div> ',
            '</a> ',
            '<a href="javascript:;" class="author" data-bid="{{bid_string}}"><img src="{{shop_logo}}"></a> ',
            '<label class="radio"><input type="radio" name="exp-join" value="{{tid_string}}" data-tid="{{tid_string}}" data-bid="{{bid_string}}"><span></span></label>',
            '</div>{{/bd_threads}}',
            '</div>'
        ],

        //创建优惠券
        coupon:[
            '<form><div class="set-ty-form"><ul>',
            '<li><label for="">价&nbsp;&nbsp;格&nbsp;</label><input type="number" name="itemPrice" placeholder="0元默认为免费"></li>',
            '<li><label for="">数&nbsp;&nbsp;量&nbsp;</label><input type="number" name="totalSaleNum" placeholder="大于1的整数"></li>',
            '<li><label for="">报名开始&nbsp;</label><input type="datetime-local" data-placeholder="选择报名开始时间" name="actStart" id="startTime"><span>选择报名开始时间</span></li>',
            '<li><label for="">报名截至&nbsp;</label><input type="datetime-local" data-placeholder="选择报名截至时间" name="actEnd" id="endTime"><span>选择报名截至时间</span></li>',
            '<li><label for="">券有效期&nbsp;</label><input type="datetime-local" data-placeholder="不选默认为截至时间" name="useTime" id="useTime"><span>不选默认为截至时间</span></li>',
            '</ul></div></form>'
        ],

        //提示页面
        tips:[
            '<div class="tips-wrap">',
            '<div class="flex tips-page">',
            '<img src="view/css/exp/images/exp-tipsimg.png">',
            '{{#extraHtml}}{{&extraHtml}}{{/extraHtml}}',
            '<p>{{tips}}</p>',
            '{{&linkHtml}}',
            '</div>',
            '</div>'
        ],
        //商家体验列表
        shop:[
                '{{#board_thread_list}}<div class="J_modular off"{{^show_list}} style="display: none;"{{/show_list}}>',
                    '<a href="javascript:;" class="J_toExpMainThread" {{#thread}}data-fid="{{fid}}" data-tid="{{tid}}" data-threadExp="{{thread_exp}}" data-userHasExp="{{user_has_exp}}"{{/thread}} data-fName={{#board}}{{name}}{{/board}}>',
                        '<img class="themeImg bigimg" src="{{pic_url}}" width="100%">',
                        '<div class="themeTxt">',
                            '<p class="fl">{{#thread}}{{subject}}{{/thread}}</p>',
                            '<p class="fr">热度 {{#thread}}{{views}}{{/thread}}</p>',
                        '</div>',
                        '<div class="J_expList reply-list">',
                            '<ul>',
                                '{{#thread_ref_list}}{{#bd_thread}}<li>',
                                    '<span><img src="{{user_avatar_url}}" width="" alt=""></span>',
                                    '<p>{{ref_summary}}</p>',
                                '</li>{{/bd_thread}}{{/thread_ref_list}}',
                            ' </ul>',
                        '</div>',
                    '</a>',
                '</div>{{/board_thread_list}}'
        ],
        load:['<div class="loading noMore"><p>{{message}}</p></div>'],
        loading:[
            '<div class="loading {{#class}}{{class}}{{/class}}">',
                '<p>{{#img}}<img src="{{img}}">{{/img}}{{message}}</p>',
            '</div>'
        ]
    }

    //根据类型拼接对应渲染数据模板 暂无涉及复杂拼接类模板
    util.getTpl = function(type){
        switch(type){
            case "list":
                return experienceTpl[type].join("");
                break;
            case "coupon":
                return experienceTpl[type].join("");
                break;
            case "join":
                return experienceTpl[type].join("");
                break;
            case "tips":
                return experienceTpl[type].join("");
                break;
            case "shop":
                return experienceTpl[type].join("");
                break;
            case "load":
                return experienceTpl[type].join("");
                break;
            case "loading":
                return experienceTpl[type].join("");
                break;
            default:
                return util.getTpl("tips")
                break;
        }
    }

    /**
     * 渲染模板并添加至对应dom
     * @param tpl
     * @param param
     * @param obj  "#id" ".class"等格式
     * @param method
     * @return {*}
     */
    util.createTpl = function(tpl,param,obj,method){
        var h = Mustache.render(tpl, param);
        var o = $(obj);
        switch(method){
            case "1" :
                o.append(h);
                break;
            case "2" :
                o.prepend(h);
                break;
            case "3" :
                o.html(h);
                break;
            case "4" :
                return h;
        }
    };

    //列表页滚动
    util.startmarquee = function(ele){
        ele.each(function(){
            //防止重复执行
            ele.removeClass("off");
            var _that=$(this),
                liLen=this.getElementsByTagName("li").length,
                t,
                p=false,
                lh=_that.find(".J_expList li:first-child").height(),
                ul=_that.find(".J_expList ul");
            if(liLen>2){
                ul.html(ul.html()+ul.html());
            }
            var srcollTop=_that.find(".J_expList").scrollTop();
            var liHeight=_that.find(".reply-list ul li").height();
            var scrollHeight=parseInt(liLen*liHeight);

            function start(){
                t=setInterval(scrolling,30);
                if(!p){
                    srcollTop++;
                }
            }
            function scrolling(){
                if(liLen>2){
                    if(srcollTop%lh !=0){
                        _that.find(".J_expList").scrollTop(srcollTop++);
                        if(srcollTop>=scrollHeight){
                            srcollTop=0;
                        }
                    }else{
                        clearInterval(t);
                        setTimeout(start,1000)
                    }
                }
            }
            scrolling();
        })
    };

    //获取列表页数据
    util.renderListData = function(param){
        var data = {};
        data = config;
        data.page = param.page;
        data.perPage = param.perPage;
        $.ajax({
            contentType: "application/json",
            type: "GET",
            async: true,
            url: "https://"+param.domain+"/api/app/getPassThread",
            data: data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                var method =(data.page==1)?"3":"1";
                config = $.extend(config,{"total_page":res.max_page,"page":res.page});
                for (var item in res.main_threads) {
                    var main_thread = res.main_threads[item].main_thread;
                    main_thread.pic_addr = util.replaceHttps(main_thread.pic_addr);
                    main_thread.shop_logo = util.replaceHttps(main_thread.shop_logo);
                    var exp = res.main_threads[item].exp_threads;
                    if(exp!=undefined && exp!=""){
                        for(var j in exp){
                            exp[j].user_avatar_url = util.replaceHttps(exp[j].user_avatar_url);
                        }
                    }
                }
                util.createTpl(util.getTpl(param.type),{"main_threads":res.main_threads},expConfig._data.jid,method);
                if(res.max_page==res.page && $(".noMore").length==0){
                    util.createTpl(util.getTpl("load"),{"message":"没有更多了"},"body","1");
                }
                util.startmarquee($(".J_modular.off"))
            },
            error: function () {
                alert("error");
            }
        })
    };

    /*商家列表数据*/
    util.renderShopListData = function(param){
        var data = {};
        data = config;
        data.page = param.page;
        data.perPage = param.perPage;
        data.stick = "-2";
        if(data.page>=2 && $(".load").size()<=0){
            util.createTpl(util.getTpl("loading"),{"img":"loading.gif","message":"正在加载中","class":"load"},"body","1");
        }
        $.ajax({
            contentType: "application/json",
            type: "GET",
            async: true,
            url: "https://"+param.domain+"/api/board/getBoardThreadList",
            data: data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                if(res.message=="SUCCESS"){
                    config = $.extend(config,{"total_page":res.total_page,"page":parseInt(res.page),"bid":res.board.bid,"board_name":res.board.name,"QuanUid":res.board.uid});
                }
                if(res.total_count == 0){
                    $("#contain").html('<div class="noactdata"></div>');
                    util.createRight();
                    return true;
                }else{
                    var method =(data.page==1)?"3":"1";
                    if(res.first_ref_thread){
                        config = $.extend(config,{"ref_domin":res.first_ref_thread.ref_site_domain});
                    }
                    for (var item in res.board_thread_list) {
                        /*图片*/
                        var thread = res.board_thread_list[item].thread;
                        if(thread!=undefined && thread!=""){
                            res.board_thread_list[item].show_list = true;
                            var first_pic_url = res.board_thread_list[item].first_pic_url;
                            if(first_pic_url!=""){
                                res.board_thread_list[item].pic_url=first_pic_url.replace("/120x120/","/520x270/").replace("http://","https://");
                            }else{
                                res.board_thread_list[item].pic_url = "https://att3.citysbs.com/default_album_200x200.jpg";
                            }
                        }
                        var thread_ref_list = res.board_thread_list[item].thread_ref_list;
                        for (var j in thread_ref_list) {
                            var bd_thread = thread_ref_list[j].bd_thread;
                            bd_thread.user_avatar_url = util.replaceHttps(bd_thread.user_avatar_url);
                        }
                    }
                    $(".load").remove();
                    util.createTpl(util.getTpl(param.type),{"board_thread_list":res.board_thread_list},expConfig._data.jid,method);
                    if(res.total_page==res.page && $(".noMore").length==0){
                        util.createTpl(util.getTpl("load"),{"message":"没有更多了"},"body","1");
                    }
                    util.startmarquee($(".J_modular.off"));
                    util.createRight();
                }
            },
            error: function () {
                util.createRight();
            }
        })
    };


    //获取商家报名数据
    util.renderJoinData = function(_param){
        var data = config
        $.ajax({
            contentType: "application/json",
            type: "GET",
            url: "https://"+_param.domain+"/api/app/getApplyThreads",
            data: data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                //有服务圈且发布了体验帖
                if(res.code=="1"){
                    util.createTpl(util.getTpl(_param.type),{"bd_threads":res.bd_threads},expConfig._data.jid,"3");
                    util.createTpl(util.getTpl("load"),{"message":"没有更多了"},expConfig._data.jid,"1");

                }
            },
            error: function () {
            }
        })
    }

    //页面数据渲染方法
    util.render = function(param){
        //根据type获取渲染的模板
        var tpl = util.getTpl(param.type)

        //根据类型分别渲染页面数据
        switch(param.type){
            case "list":
                return util.renderListData(param);
                break;
            case "coupon":
                return util.createTpl(tpl,param,expConfig._data.jid,"3");
                break;
            case "join":
                return util.renderJoinData(param);
                break;
            case "tips":
                return util.createTpl(tpl,param,expConfig._data.jid,"3");
                break;
            case "shop":
                return util.renderShopListData(param);
                break;
            default:
                return util.createTpl(tpl,param,expConfig._data.jid,"3");
                break;
        }
    };
    util.replaceHttps = function(url){
        return url.replace("http://","https://");
    };

    util.init = function(param){
        util.render(param);
        //列表页翻页和内部滚动操作
        // 商家体验列表
        if(param.type == "list" || param.type == "shop"){
            $(window).scroll(function() {
                if ($(document).scrollTop() >= $(document).height() - $(window).height()) {
                    var next_page = (config.page<config.total_page)?config.page+1:0;
                    if(next_page!=0){
                        param.type == "shop"?util.renderShopListData($.extend(param,{page:next_page})):util.renderListData($.extend(param,{page:next_page}));
                    }else{
                        $(window).unbind("scroll")
                    }
                }
            });
        }
    }

    //页面初始化渲染 加载首先调用
    util.init($.extend(config,util.getParam()))

    //体验帖详情
    $(".J_toExpThread").live("click",function(){
        var url = $(this).attr("data-url");
        if(url != undefined){
            linkAnalysis(url);
        }
    });

    //跳转至商家圈详情页
    $(".J_goBizCircle").live("click",function(){
        var fid = $(this).attr("data-bid");
        openBridge.bridge("gotoBusinessCircle",fid)
    })

    //跳转至普通圈圈详情页
    $(".J_toCircle").live("click",function(){
        var fid = $(this).attr("data-bid");
        openBridge.bridge("gotoInterestGroupList",fid)
    })

    //跳转至发帖页面
    $(".J_toPostExp").live("click",function(){
        var rjson={};
        rjson.fid =$(this).attr("data-bid");
        rjson.domain =config.domain;
        rjson.forumOrGroupName =$(this).attr("board_name");
        openBridge.bridge("gotoPostThread",JSON.stringify(rjson))
    });


    //跳转至体验主帖详细页
    $(".J_toExpMainThread").live("click",function(){
        var _this = $(this);
        var rJson = {};
        if(config.type=="shop"){
            rJson.domain = config.ref_domin;
            ttclickAdd("bussiness_tyhdsj_zt_"+config.bid);  //ttname
        }else{
            rJson.domain = _this.attr("data-domain");
        }
        rJson.fid =  _this.attr("data-fid");
        rJson.tid =  _this.attr("data-tid");
        rJson.page = 1;
        rJson.pid = 0;
        rJson.threadExp = _this.attr("data-threadExp");
        rJson.userHasExp = _this.attr("data-userHasExp");
        rJson.fName = _this.attr("data-fName");
        openBridge.bridge("threadInJump",rJson)
    });

    //跳转至体验直播列表页
    $(".J_toExpList").live("click",function(){
        var param = {};
        param.title="19楼体验活动";
        param.isLogin=false;
        util.jumpHtmlFile(param.title, "experience_list.html",JSON.stringify(param));
    })

    //商家报名页面业务逻辑
    $(".J_expJoin .J_joinItem").live("click",function(){
        var _this = $(this)
        var status = _this.find("input").attr("checked") && _this.find("span").hasClass("checked");
        $(".J_joinItem input").attr("checked","");
        $(".J_joinItem span").removeClass("checked");
        if(!status){
            _this.find("input").attr("checked","checked");
            _this.find("span").addClass("checked");
        }
    })

    toPostExp = function(){
        var rjson={};
        rjson.fid =config.bid;
        rjson.domain =config.domain;
        rjson.QuanUid =config.QuanUid;
        rjson.forumOrGroupName =config.board_name;
        rjson.isGroupThread =true;
        rjson.isExperience =true;
        rjson.isAdmin =true;
        openBridge.bridge("gotoPostThread",JSON.stringify(rjson))
    };

})(experienceUtil)
