var getListFn = {
    //获取新点赞/反对数据
    getCount: function (objectIdList, objectIds, type) {
        objectIds = objectIds.join(",")
        var _this = this;
        var pas = {};
        pas.tidPids = objectIds;
        getNewApiKey()
        pas = $.extend(pas, config.apiKey);
        var url = "https://" + config.keyData.domain + "/api/thread/getRateCountBatch"
        if (util.isBoard()) {
            url = "https://" + config.keyData.domain + "/api/board/getRateCountBatch"
        }
        $.ajax({
            contentType: "application/json",
            type: "GET",
            url: url,
            data: pas,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                if (res.message == "SUCCESS") {
                    var map = type ? res.is_oppose_map : res.is_zan_map
                    var countMap = type ? res.oppose_count_map : res.zan_count_map
                    _this.callbackFn(objectIdList, map, countMap, type)
                }
            },
            error: function () {

            }
        });
    },
    callbackFn: function (objectIdList, list, countlist, type) {
        var zanlist = list;
        var countlist = countlist;
        $.each(objectIdList, function (i) {
            var objectId = objectIdList[i];
            var isChecked = zanlist[config.keyData.tid + "_" + objectId];
            if (isChecked) {
                type ? $("#opposeNew_" + objectId).addClass("active") : $("#zanNew_" + objectId).addClass("active");
            }
            type ? $("#opposeNew_" + objectId).attr("data-rated", isChecked) : $("#zanNew_" + objectId).attr("data-rated", isChecked);
            var count = countlist[config.keyData.tid + "_" + objectId];
            count = count > 999 ? '999+' : count
            if (count == 0)
                type ? $(".opposeNum_" + objectId).html("") : $(".zanNum_" + objectId).html("");
            else
                type ? $(".opposeNum_" + objectId).html(count) : $(".zanNum_" + objectId).html(count);
        });
    }
}

function showVerify(verify) {
    var v = verify;
    if (v == 1) {
        v = "dricon1";
    } else if (v == 2) {
        v = "dricon2";
    } else if (v == 3) {
        v = "dricon3";
    } else {
        v = null;
    }
    return v;
}

function shield(s){
    if(['-9','-101'].indexOf(s) > -1)
        return [true,'<p class="warn_p">该内容被屏蔽<a href="https://www.19lou.com/wap/forum-464900-thread-3101366860364395-1-1.html#9401366871710795">（为什么）</a></p>']
    else if(['-102'].indexOf(s) > -1)
        return [true,'<p class="warn_p">正在发布中</p>']
    else
        return [false]
}
var publish = [];

function getPublishConf(key) {
    if (typeof (publish[key]) == "undefined") {
        connectWebViewJavascriptBridge(function (bridge) {
            if (bridge.getConfigDataJsonReturn != undefined) {
                publish[key] = JSON.parse(bridge.getConfigDataJsonReturn(key)).config;
            }
        });
    }
    return publish[key];
}
var isMatch = false

function createReplyView(data, type) {
    var items = data.page_info.items;
    var tmp = "";
    var secondReply = ""
    var objectIds = [];
    var objectIdList = new Array();
    var parentPid = config.keyData.parentPid;
    var isFirstSecondReply = true; //是否是第一楼二级回复
    for (var i = 0; i < items.length; i++) {
        if (!config.keyData.init && type != 'refresh') {
            if (items[i].pid == config.keyData.seacondPid) {
                isMatch = true
                if (i > 0)
                    isFirstSecondReply = false
            } else if (items[i].pid != config.keyData.seacondPid && !isMatch) {
                continue;
            }

        }
        var param = items[i];

        param.message = tool.emoji(param.message);
        param.message = tool.html_encode(param.message);
        param.message = tool.video2gif(param.message);
        param.parentPid = parentPid;
        param.atShow = (param.reply_user_name != undefined && param.reply_user_name != "") ? true : false
        param.author_gender = param.author_object.gender || 'unknow';
        param.author_gid = param.author_object.gid || '0'
        param.isOriginalPoster = param.isOriginalPoster = config.keyData.thread_author? param.author_uid == config.keyData.thread_author.uid : false
        param.hasSpecialUser = tool.hasSpecialUserGroup(param.author_gid);
        param.renderUserName = tool.renderUserName
        if(param.hasSpecialUser){
            param.specialUserStr = tool.getSpecialUserType(param.author_gid);
            param.sepcialParentsClass = tool.getSpecialUserClassStr(param.specialUserStr)
        }
        if (param.tid != "0") {
            if(param.status == "0" || param.status == "-2" || shield(param.status)[0]){
                if(param.status == "-2" && param.message == ""){
                    param.message = "正在发布中";
                }else if(shield(param.status)[0]){
                    param.message = shield(param.status)[1]
                    param.shield = true
                }else {
                    //quote 分离
                    var m_q = tool.getQuote(param.message);
                    var quote = tool.formatQuote(m_q[1]);
                    param.message = m_q[0];
                    param.message = tool.filter(param.message);
                    param.message = tool.imgLazy(param.message, 2);
                    param.message = quote + param.message;

                }
                param.attachments = tool.attachmentsFilter(param.attachments_images, 6,param.status);
                param.created_at = tool.formatTime(param.created_at);
                param.verify = param.verify != undefined ? param.verify : param.author_object.verify
                param.isOpposeShow = config.interactData.canNegative //是否开启反对
                if(param.author_object.medals){
                    param.medals = param.author_object.medals
                }
                param.group_rank = param.author_object.group.rank
                if(param.group_rank == 0)
                    param.group_rank = false   
                param.showVerify = showVerify(param.verify);
                param.avatar = param.author_object.avatar_url || param.author_object.avatar
                tool.setFont(param)
                tmp = tpl().secondFllow.join("");

                //渲染点赞列表
                objectIds.push(config.keyData.tid + "_" + param.pid);
                objectIdList.push(param.pid);
                param.paramReplaceHttps = tool.paramReplaceHttps;
                secondReply += Mustache.render(tmp, param);
            }
        }
    }
    if (!isFirstSecondReply) {
        $(".border").after("<p class='clickMore'><a href='javascript:;'>点击加载更多</a></p>")
    }
    if (type == 'refresh') {
        $('.second-fllow-contain').html(secondReply)
    } else {
        $('.second-fllow-contain').append(secondReply)
    }
    if (!config.keyData.init) {
        $('#' + config.keyData.seacondPid).css({
            background: '#F7FFF1'
        })
        setTimeout(function () {
            $('#' + config.keyData.seacondPid).css({
                background: '#fff'
            })
        }, 2000)
        var h = $('.border').offset().top;
        $(window).scrollTop(h - 20)
        setTimeout(function () {
            config.interactData.offScroll = false;
        }, 50)
    } else {
        config.interactData.offScroll = false;
    }

    getListFn.getCount(objectIdList, objectIds, false);
    getListFn.getCount(objectIdList, objectIds, true);
}
$(document).on("click", '.clickMore a', function () {
    config.interactData.isLast = false;
    config.keyData.page = 1;
    $(this).hide()
    getData("refresh")
})

$(document).on('click', '.clickAll a', function () {
    var rJson = {};
    rJson.domain = config.keyData.domain;
    rJson.fid = config.keyData.fid;
    rJson.tid = config.keyData.tid;
    rJson.page = 1;
    wbBridge.bridge('threadInJump', rJson)
})

function createFirstReply(res) {
    var objectIds = [];
    var objectIdList = new Array();
    var param = res.owner_thread;
    param.subject = tool.html_encode(param.subject);
    param.message = tool.emoji(param.message);
    param.message = tool.html_encode(param.message);
    param.message = tool.video2gif(param.message);
    param.isOpposeShow = config.interactData.canNegative
    param.atShow = (param.reply_user_name != undefined && param.reply_user_name != "") ? true : false
    param.author_gender = param.author_gender || 'unknow';
    param.author_gid = param.author_gid || '0'
    param.isOriginalPoster = config.keyData.thread_author? param.author_uid == config.keyData.thread_author.uid : false
    param.hasSpecialUser = tool.hasSpecialUserGroup(param.author_gid);
    param.renderUserName = tool.renderUserName
    if(param.hasSpecialUser){
        param.specialUserStr = tool.getSpecialUserType(param.author_gid);
        param.sepcialParentsClass = tool.getSpecialUserClassStr(param.specialUserStr)
    }
    var tmp = "";
    if (param.tid != "0") {
        if(param.status == "0" || param.status == "-2" || shield(param.status)[0]){
            if(param.status == "-2" && param.message == ""){
                param.message = "正在发布中";
            }else if(shield(param.status)[0]){
                param.message = shield(param.status)[1]
                param.shield = true
            }else {
                //quote 分离
                var m_q = tool.getQuote(param.message);
                var quote = tool.formatQuote(m_q[1]);

                var lastQuote = tool.getLastQuote(quote);
                if (!lastQuote) lastQuote = ''
                var isShowOpen = false
                if (m_q.length > 2 && m_q[2] > 1) {
                    isShowOpen = true
                }
                param.message = m_q[0];

                param.message = tool.filter(param.message);
                param.message = tool.imgLazy(param.message, 2);
                if (isShowOpen) {
                    if (lastQuote.substring(lastQuote.length - 5) == '</dl>') {
                        lastQuote = lastQuote.replace('</dl>', '<div class="quote_open">展开引用内容<span class="to_open"></span></div></dl>')
                    }
                    if (quote.substring(quote.length - 5) == '</dl>') {
                        quote = quote.substring(0, quote.length - 5)
                        quote = quote + '<div class="quote_close">收起引用内容<span class="to_close"></span></div></dl>'
                    }
                }
                param.message = '<div class="last_quote">'+lastQuote+ '</div>' + '<div class="all_quote">'+quote+ '</div>'  + param.message;

            }

            param.attachments = tool.attachmentsFilter(param.attachments, 2,param.status);
            param.created_at = tool.formatTime(param.created_at);
            param.showVerify = showVerify(param.verify);


            var floor = parseInt(param.floor);
            if (floor == 0) {
                param.floor = "";
            } else if (floor == 2) {
                param.floor = "沙发";
            } else if (floor == 3) {
                param.floor = "板凳";
            } else if (floor == 4) {
                param.floor = "地板";
            } else if (floor > 4) {
                param.floor = String(floor - 4) + '楼';
            }



            //夜间模式
            if (config.keyData.isNight == "true") {
                param.message = tool.colorFilter(param.message);
            }
            //new 勋章字段
            param.medalList = new Array()
            if (param.medals != undefined && param.medals.length > 0) {
                param.medals.forEach(function (i, k) {
                    param.medalList.push(i.icon_url)
                })
            }
            //字体设置
            param = tool.setFont(param);
            // 皇冠
            var pConf = getPublishConf("new_head_decorator");
            if (pConf != undefined && pConf.show_decorator == "yes" && param.is_ten_year) {
                param.is_ten_year = true;
                param.headImg = pConf["list_decorator"];
            } else {
                param.is_ten_year = false;
                if (pConf != null && pConf["decorator_normal"] != undefined) {
                    param.noheadImg = pConf["decorator_normal"];
                };
            }
            param.paramReplaceHttps = tool.paramReplaceHttps;
            //渲染点赞列表
            objectIds.push(config.keyData.tid + "_" + param.pid);
            objectIdList.push(param.pid);
            tmp = tpl().follow.join("");
            var html = Mustache.render(tmp, param);
            $("#replyContian").append(html);
            $(".border").before("<p class='clickAll'><a href='javascript:;'>查看原内容</a></p>")
            getListFn.getCount(objectIdList, objectIds, false);
            getListFn.getCount(objectIdList, objectIds, true);
        }
    }

}