/**
 * Created by chensisi on 2017/3/17.
 * 投放位置广告
 */

//获取并渲染位置广告 ids 英文逗号隔开
function getAdByIds(ids,type,callback){
    var data = {advId:ids,reqType:type};
    getNewApiKey()
    data = $.extend(data,config.apiKey);
    var actUrl = "https://"+config.keyData.domain+"/api/other/getAdvHtmlByIds";
    $.ajax({
        contentType:"application/json",
        type :"GET",
        url : actUrl,
        data : data,
        dataType: 'jsonp',
        jsonp: "clientjsonp",
        success: function(res){
            var data = (type=="LIST")?res.adv_list:res.adv_map;
            callback(data)
        },
        error: function(e){
            callback(data)
        }
    });
}
function getPageAdvs() {
    var advIds =[],fid = config.keyData.fid;
    advIds[0] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_app_101_threadbutton_adv_690x136_1";
    advIds[1] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_app_101_threadbutton_adv_335x110_1";
    advIds[2] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_app_101_threadbutton_adv_335x110_2";
    if(util.isBoard()){
        advIds[3] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_community_threadbutton_adv_710x136_1_"+fid;
        advIds[4] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_community_threadbutton_adv_710x136_2_"+fid;
        advIds[5] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_community_threadbutton_adv_710x136_3_"+fid;
    }else{
        advIds[3] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_sbs_"+fid+'_threadbutton_adv_710x136_1';
        advIds[4] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_sbs_"+fid+'_threadbutton_adv_710x136_2';
        advIds[5] = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_sbs_"+fid+'_threadbutton_adv_710x136_3';
    }
    getNewApiKey()
    var data = $.extend({advids:advIds.join(","),cityName:tool.getCityNameByDomain(config.keyData.domain)},config.apiKey)
    var actUrl = "https://"+config.keyData.domain+"/api/app/getThreadInfoAdvList";
    $.ajax({
        contentType:"application/json",
        type :"GET",
        url : actUrl,
        data : data,
        dataType: 'jsonp',
        jsonp: "clientjsonp",
        success: function(res){
            if(res.adv_list!=undefined && res.adv_list.length > 0){
                var advData1="";
                var advData2="";
                var advData3="";
                $.each(res.adv_list,function (i,adv) {
                    if(adv.advPlaceId == advIds[0])
                        advData1 = adv
                    else if(adv.advPlaceId == advIds[1])
                        advData2 = adv
                    else if(adv.advPlaceId == advIds[2])
                        advData3 = adv
                    else if(adv.advPlaceId == advIds[3])
                        config.advData.lastAdvData = adv;
                    else if(adv.advPlaceId == advIds[4])
                        getBroadCastAdv(adv);
                    else if(adv.advPlaceId == advIds[5])
                        getRecommendAdv(adv);
                });
                getTopAdv(advData1,advData2,advData3);
            }else{
                return false;
            }
        },
        error: function(e){
            return false;
        }
    });

}

function getTopAdv(advData1,advData2,advData3) {
    var advFlag = '<span class="adv_flag"><span class="center_tag_item">广告</span></span>'
    if(advData2 != "" && advData3 != ""){
        var advHtml1 = JSON.parse(advData2.apphtml); //广告数据
        advHtml1.sort(function(){ return 0.5 - Math.random() });
        var advHtml2 = JSON.parse(advData3.apphtml); //广告数据
        advHtml2.sort(function(){ return 0.5 - Math.random() });       
        var davHtml='<p class="adv_item">';
        davHtml+= '<a class="advSmall left" href="javascript:void(0);" data-url="'+advHtml1[0].link+'" title="'+advHtml1[0].tbmTextContent+'" ttname="app_'+advHtml1[0].param+'"><img src="'+advHtml1[0].image+'" />'+(advData2.adFlag == '0'?advFlag:'')+'</a><em></em>';
        davHtml+= '<a class="advSmall right" href="javascript:void(0);" data-url="'+advHtml2[0].link+'" title="'+advHtml2[0].tbmTextContent+'" ttname="app_'+advHtml2[0].param+'"><img src="'+advHtml2[0].image+'" />'+(advData3.adFlag == '0'?advFlag:'')+'</a>';
        davHtml+='</p>';
        $(".advMod").html(davHtml);
    }else if(advData1 != ""){
        var advHtml = JSON.parse(advData1.apphtml); //广告数据
        advHtml.sort(function(){ return 0.5 - Math.random() });
        var adv1= '<p class="adv_item"><a class="advBig" href="javascript:void(0);" data-url="'+advHtml[0].link+'" title="'+advHtml[0].tbmTextContent+'" ttname="app_'+advHtml[0].param+'"><img src="'+advHtml[0].image+'" />'+(advData1.adFlag == '0'?advFlag:'')+'</a></p>';
        $(".advMod").html(adv1);
    }
}
function getRecommendAdv(advData) {
    var advHtml = JSON.parse(advData.apphtml); //广告数据
    advHtml.sort(function(){ return 0.5 - Math.random() });
    var adv1= '<p class="adv_item"><a class="advBig" href="javascript:void(0);" ttname= "'+advHtml[0].param+'" data-url="'+advHtml[0].link+'" ><img src="'+advHtml[0].image+'" /></a></p>';
    $(".qzRecommend_adv").html(adv1);
}
function getBroadCastAdv(advData) {
    var advHtml = JSON.parse(advData.apphtml); //广告数据
    advHtml.sort(function(){ return 0.5 - Math.random() });
    var adv1= '<p class="adv_item"><a class="advBig" href="javascript:void(0);"  ttname= "'+advHtml[0].param+'" data-url="'+advHtml[0].link+'" title="'+advHtml[0].tbmTextContent+'"><img src="'+advHtml[0].image+'" /></a></p>';
    $(".broadCast_adv").html(adv1);
}

function  getLikeAd(){
    if(config.advData.lastAdv != ""){
        $("#mayLike").html(config.advData.lastAdv);
        return;
    }
    if(config.advData.lastAdvData){
        setTimeout(function(){
            var advHtml = JSON.parse(config.advData.lastAdvData.apphtml); //广告数据
            advHtml.sort(function(){ return 0.5 - Math.random() });
            var adv1= '<p class="adv_item"><a class="advBig" href="javascript:void(0);"  ttname= "'+advHtml[0].param+'" data-url="'+advHtml[0].link+'" title="'+advHtml[0].tbmTextContent+'"><img src="'+advHtml[0].image+'" /></a></p>';
            $("#mayLike").html(adv1);
            config.advData.lastAdv = adv1;
        },200)
    }else{
        var actUrl = "https://"+config.keyData.domain+"/api/app/getThreadInfoAdvList",fid = config.keyData.fid;
        var advIds = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_sbs_"+fid+'_threadbutton_adv_710x136_1';
        if(util.isBoard()){
            advIds = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_community_threadbutton_adv_710x136_1_"+fid;
        }
        getNewApiKey()
        var data = $.extend({advids:advIds,cityName:tool.getCityNameByDomain(config.keyData.domain)},config.apiKey);
        $.ajax({
            contentType:"application/json",
            type :"GET",
            url : actUrl,
            data : data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                if(res.adv_list!=undefined && res.adv_list.length > 0){//有广告数据 may_like
                    setTimeout(function(){
                        var advHtml = JSON.parse(res.adv_list[0].apphtml); //广告数据
                        advHtml.sort(function(){ return 0.5 - Math.random() });
                        var adv1= '<p class="adv_item"><a class="advBig" href="javascript:void(0);"  ttname= "'+advHtml[0].param+'" data-url="'+advHtml[0].link+'" title="'+advHtml[0].tbmTextContent+'"><img src="'+advHtml[0].image+'" /></a></p>';
                        $("#mayLike").html(adv1);
                        config.advData.lastAdv = adv1;
                    },200)

                }else{
                    return false;
                }
            },
            error: function(e){
                return false;
            }
        });
    }


}
    
    