//利用postmessage方法实现iframe三端跨域高度自适应
var onMessage = function (e) {
    var data=typeof e.data=='string'?JSON.parse(e.data):e.data
    if(data.method == "link"){
        //接收到的是链接地址
        linkAnalysis(data.url);
    }else if(data.method == "createWebPage"){
        connectWebViewJavascriptBridge(function(bridge){
            bridge.createWebPage(data.title,data.url.replace(/(^\s*)|(\s*$)/g, ""));
        })
    }else{
        //接收到的是高度       
        var _iframeArray=document.getElementsByTagName("iframe"),_len=_iframeArray.length;
        for(i=0;i<_len;i++){
            if(_iframeArray[i].className == "iframeAdapter" || _iframeArray[i].id == 'iframeAdapter'){
                if(data.url==undefined || data.url==_iframeArray[i].src)
                {
                    _iframeArray[i].height=data.height;
                }
            }
        }       
    }
}
window.addEventListener("message", onMessage, false);