var tool={
    exp:{
        colorExp:/(background|color|background-color)[\s]*?(=|:)[\s]*?[\"|\']?(#?\w+(\([\s]*?\d+,[\s]*?\d+,[\s]*?\d+\))?)[\"|\']?(;)?/gi,
        iframeExp:/<iframe([^>]*)src="(.*?)"([^>]*)>(.*?)<\/iframe>/gi,
        iframeSrcExp : /\/html\/(\d+)\.html\?(.*)/gi,
        imgExp:/<img[^>]*src="([^"]+(\D([0-9]+)x([0-9]+)-)[^"]+)"[^>]*\/?>|<img[^>]*src="([^"]+)"[^>]*\/?>/gi,
        QuoteExp1:/<p><span class="color6">引用:<\/span><a href="([^<]*)"[^>]*>原(回帖|评分)由 ([^<]*) 于 ([^<]*) 发表<\/a><\/p>/gi,
		QuoteExp2:/<p><span[\S\s]{0,20}?class="color6">引用:<\/span><a href="([^<]*)"[^>]*>原(回帖|评分)由 <span class="J_at at" data-info="([^<]*)">([^<]*)<\/span> 于 ([^<]*) 发表<\/a><\/p>/gi,
        // QuoteExp2:/<a href="([^<]*)"[^>]*>原(回帖|评分)由 <span class="J_at at" data-info="([^<]*)">([^<]*)<\/span> 于 ([^<]*) 发表<\/a>/gi,
        QuoteExp3:/(<dd class="color6">)(.*?)(<\/dl>|<a|<img)/gi,
        QuoteExp4:/<span class="new-reply">(.*?)<\/span>/gi,
        emojiExp:/\[ej=([\s\S]*?)\]|<span class="emoji emoji([\s\S]*?)"><\/span>/gi,
        sizeExp:/((font-size:\W{0,2}[0-9]+.0px)|(font-size:\W{0,2}[0-9]+px)|(size=".*?[^"]"))/gi,
        widthExp:/((width:\W{0,2}[0-9]+.0px)|(width:\W{0,2}[0-9]+px)|(width=".*?[^"]"))/gi,
        nbspExp:/(\s*&nbsp;\s*){4}/gi,
        brExp1:/(\s*<br>\s*){2,}/gi,
        brExp2:/(<div[^>]*>(\s*(<br>|&nbsp;)\s*)+<\/div>){2,}/gi,
        scriptExp:/<script[^>]*>([\s\S]+?)<\/script>/gi,
        tableExp:/(<\/{0,1}\s*(table|tbody|tr|td|th|dd|dt|thead|tfoot|fieldset)\s*([^>]*)\s*>)/gi,
        videoExp:/<div class="video19"><video[^>]*>(.*?)<\/video><\/div>/gi,
        renderUserName:/@\|[a-z]*[0-9]*/gi
    }
}
tool.renderUserName = function(){
    return function (text, render){
        var m = render(text) || ''
        return m.replace(tool.exp.renderUserName,'')
    }
}
tool.attachmentsFilter = function(attachments,w,status){
    var att = "";
    if(attachments.length>0 && ['0','-2'].indexOf(status) > -1){
        for(i in attachments){
            if(attachments[i].indexOf("video19") > -1){
                if(status == '0')
                    att += attachments[i]
                else
                    att += '<div class = "video_audit"></div>'
            }else if(attachments[i].indexOf("<img") > -1){
                att += this.imgLazy(attachments[i],w);
            }
        }
    }
    return att;
}

tool.video2gif=function(message){
    var exp=this.exp.videoExp;
    function f(){
        var video_str = arguments[0];
        var source_str=arguments[1];
        var video_url="",
            gif_url=""
        if(source_str.indexOf("//att2.citysbs.com")>-1){
            video_url=(/src="(.*?.mp4)/).exec(source_str)[1];
            gif_url=video_url+'.gif';
            video_str='<div class="video_gif"><div class="videoIcon" data-src="'+gif_url+'"></div><img src="'+gif_url+'" class="gif-img"></div>';        }
        return video_str;
    }
    var appVersionNum=''+config.keyData.appVersion[0]+config.keyData.appVersion[1]+config.keyData.appVersion[2]
    if(config.keyData.appVersion.length >0 && parseInt(appVersionNum)>723){
       var message = message.replace(exp,f);
    }
//    var message = message.replace(exp,f);
    return message;

}
tool.replace = function(str,exp,result){
    return str.replace(exp,function(){
        return result;
    })
}
tool._isEmptyObject = function(obj){
    for(var n in obj){
        return false;
    }
    return true;
}
tool.isNotEmpty = function(obj){
    if(obj != null && obj != undefined)
        return true;
    else
        return false;
}
tool.filter= function(message){
    var m = message.replace(this.exp.sizeExp,"")
    m = m.replace(this.exp.widthExp,"").replace(this.exp.scriptExp,"").replace(this.exp.tableExp,"");
    m = m.replace(this.exp.nbspExp,"&nbsp;").replace(this.exp.brExp2,"<p><br></p>").replace(this.exp.brExp1,"<p><br></p>");
    m = m.replace(/href="(http:)*(https:)*\/\/www.19lou.com\/user\/profile-/g,'href="javascript:;" data-$&');
    m = this.iframeFilter(m);
    return m;
}
tool.colorFilter = function(message){
    var exp = this.exp.colorExp;
    var m = message.replace(exp,"");
    return m;
}
tool.iframeFilter = function(message){
    var exp = this.exp.iframeExp;
    function f(){
        var attr1 = arguments[1];
        var attr2 = arguments[3];
        var src = arguments[2];
        var iFrameTag = arguments[0];
        if(src.match(/((.*)\.19lou\.com)|((.*)\.shanghaining\.com)|((.*)\.0595bbs\.cn)|((.*)\.cqmmgo\.com)/i) != null)
            src = tool.replaceHttps(src.replace(/^\/\//i,"https://"));
        if(tool.isNotEmpty(src) && (src.indexOf("research")>-1||src.indexOf("vote") >-1)){
            src = src.replace(tool.exp.iframeSrcExp,"/query?surveyNo=$1&$2");
            iFrameTag = "<div class=\"form-btn\"><a href=\"javascript:void(0);\" data-src=\"";
            if(src.indexOf("?")>-1){
                iFrameTag = iFrameTag + src +"&source=19m" + "&uid=" + config.keyData.uid +"&fr=App\">我要参加，点击报名</a></div>"
            }else{
                iFrameTag = iFrameTag + src +"?source=19m" + "&uid=" + config.keyData.uid + "&fr=App\">我要参加，点击报名</a></div>"
            }
        }else{
            iFrameTag = "<iframe "+attr1+" src='"+src+"' "+attr2 +"></iframe>";
        }
        return iFrameTag;
    }
    var m = message.replace(exp,f);
    return m;
}
tool.imgLazy = function(message,type){
    //type:1 主楼 2：跟帖 3：小说 4 斑斑插话 6 二级回帖
    var exp = this.exp.imgExp;
    function f(){
        var alt=arguments[0].match(/\sdata-alt="([^"]*)"/i);
        alt=alt?alt[1]:""
        var width = parseInt(arguments[3]);
        var height = parseInt(arguments[4]);
        var src = arguments[1];
        var c_class = "J_img";
        var style = "";
        var winWidth = _winWidth > 750?750:_winWidth;
        var WIDTH = "";
        if(type == 3){
            WIDTH = 160;
        }else if(type == 1){
            WIDTH=winWidth-((winWidth*60)/750);
        }else if(type == 2){
            WIDTH=winWidth-((winWidth*132)/750);
        }else if(type == 5){
            WIDTH=winWidth-((winWidth*155)/750+38)-50;
        }else if(type == 6){
            WIDTH=winWidth-(winWidth/7.5)*2.06;
        }else{
            WIDTH = winWidth-((winWidth*130)/750)-50;
        }
        
        if(!isNaN(width)){
            if(arguments[0].indexOf('custom-emoji')>-1 && width >64){
                //宽度大于64的表情，等比缩小
                WIDTH = 64            
            }
            if(width > WIDTH){
                height = parseInt(height/parseFloat(width/WIDTH));
                width = WIDTH;
            }
            style = "style=\"height:"+height+"px;width:"+width+"px;\""; 
            if(width <120){
                style = "style=\"height:"+height+"px;width:"+width+"px;display:inline-block;\"";
            }
            if(src.indexOf(".mp4.gif") > -1){
                width ="100%";
                height ="auto";
                style = "style=\"height:"+height+";width:"+width+";display:inline-block;\" data-type=\"old\" _width=\""+WIDTH+"\"";
            }else if(src.indexOf(".gif") == -1){
                src = src.replace(/att2.citysbs.com\/|att3.citysbs.com\/\w+\//gi,"att3.citysbs.com/m480x/");
                c_class += " big_img";//显示大图
            }else{
                src = src.replace(/att2.citysbs.com\/|att3.citysbs.com\/\w+\//gi,"att3.citysbs.com/no/");
                if(width >120)
                    c_class += " big_img";
            }
        }else{
            src = arguments[5];
            if(config.keyData.isNovel == "true"){
                var result = "<img src = \""+src+"\" style=\"max-width:160px;\">";
                return result;
            } else if(src.indexOf(".mp4.gif")==-1){
                if(arguments[0].indexOf('custom-emoji')>-1){
                    width =64;
                    height =64;
                }else{
                    width =100;
                    height =100;
                }
                style = "style=\"height:"+height+"px;width:"+width+"px;display:inline-block;\""+"data-type=\"old\" _width=\""+WIDTH+"\"";
            }else{
                width ="100%";
                height ="auto";
                style = "style=\"height:"+height+";width:"+width+";display:inline-block;\""+"data-type=\"old\" _width=\""+WIDTH+"\"";
            }
            if(src.indexOf(".gif")==-1)
                c_class += " big_img";
        }
        if(config.keyData.hasImg != "true"){
            c_class += " noImg";
        }else{
            c_class += " J_lazy";
        }
        if(arguments[0].indexOf('custom-emoji')>-1){
            c_class += " custom-emoji";
        }
        src = tool.replaceHttps(src);
        if(src.indexOf(".mp4.gif")==-1){
            var result = "<span data-src = \""+src+"\" class=\""+c_class+"\""+style+"alt='"+alt+"' ></span>";
        }else{
            var result = "<span data-src = \""+src+"\" class=\"gif_bg "+c_class+"\""+"alt='"+alt+"'><img "+style+"/></span>"
        }
        return result;
    }
    var m = message.replace(exp,f);
    return m;
}
tool.formatTime = function(date){
    if(this.isNotEmpty(date)){
        var nowDate = new Date()
        var nowTime = nowDate.getTime()
        //iOS时间只能识别2017/01/02 不能识别2017-01-02
        date = date.replace(/-/g, '/');
        var myDate = new Date(date)
        var myTime = myDate.getTime()
        var time = (nowTime - myTime) / 1000
        var displayTime = ""
        if (time < 0) {
            displayTime = "刚刚"
        } else if (0 <= time && time < 60) {
            displayTime = "刚刚"
        } else if (60 <= time && time < 3600) {
            var m = time / 60
            displayTime = parseInt(m) + "分钟前"
        } else if (3600 <= time && time < 86400) {
            var h = time / 3600
            displayTime = parseInt(h) + "小时前"
        } else if (86400*1 <= time && time < 86400*7) {
            var d = time / 86400
            displayTime = parseInt(d) + "天前"
        } else {
            var ny = nowDate.getFullYear()
            var my = myDate.getFullYear()
            if(my==ny){
                displayTime = date.substring(5, 16)
            }else{
                displayTime = date.substring(0, 16)
            }
        }
        displayTime = displayTime.replace(/\//g, '-');
        return displayTime
    }else{
        return "";
    }
}

tool.isFullDay=function(start,now){
    if(now.getHours()!=start.getHours()){
        return now.getHours()>start.getHours()
    }
    if(now.getMinutes()!=start.getMinutes()){
        return now.getMinutes()>start.getMinutes()
    }
    return now.getSeconds()>=start.getSeconds()
}
tool.formatTime1 = function(time){
    if(this.isNotEmpty(time)){
        var dt = Date.parse(time.replace(/-/g,"/"));
        var t_t = new Date(dt);
        var t_n= new Date();
        var t_r = "";
        var t = t_n.getTime()-t_t.getTime();
        var day=parseInt(t/(60*1000*60*24))
        if(day>0){
            if(day<28){
                return t_r=day+'天前'
            }else{
                var yearDiff=parseInt(t_n.getFullYear())-parseInt(t_t.getFullYear());
                var monthDiff=parseInt(t_n.getMonth())-parseInt(t_t.getMonth());
                var dayDiff=parseInt(t_n.getDate())-parseInt(t_t.getDate());
                if(day>=365){
                    if(yearDiff>0){
                        if(monthDiff<0 || (monthDiff==0&&dayDiff<0)||(monthDiff==0&&dayDiff==0&&!tool.isFullDay(t_t,t_n))){
                            yearDiff--;
                        }
                        if(yearDiff>0){
                           return t_r=yearDiff+"年前"

                        }
                    }
                }
                if (t_n.getFullYear()>t_t.getFullYear()){
                    monthDiff += 12;
                   }
                   if (monthDiff>0){
                    if (dayDiff<0 ||(dayDiff==0&&!tool.isFullDay(t_t,t_n))){
                     monthDiff--;
                    }
                    if (monthDiff>0){
                       return t_r=monthDiff+"月前"
                    }
                   }
                 return   t_r= day+"天前";
            }
        }
        if(t <= 0){
            t_r = "1分钟前";
        }else if(t/(1000*60) <= 60){
            t_r = Math.floor(t/(1000*60)) + "分钟前";
        }else if(t/(1000*60) > 60 && t/(1000*60*60) <=24){
            t_r = Math.floor(t/(1000*60*60)) + "小时前";
        }
        return t_r;
    }else{
        return "";
    }
}
tool.postViews = function(views){
    try{
        var num = parseInt(views);
        if(num < 10000)
            return num;
        else {
            var num1=Math.floor(num/10000); //万取整
            var num2=Math.floor(num/1000)%10; //千位
            var num3=Math.floor(num/100)%10;//百位
            if(num3 >= 5){
                if(num2 < 9)
                    num2 +=1;
                else{
                    num2 = 0;
                    num1 +=1;
                }
            }
            return (num2 == 0 ?num1+".0" :num1+"."+num2)+"万"
        }
    }catch (e){
        console.log(e)
    }
}
tool.getQuote = function (message) {
    var quote = "",m = message;
    var r = message.match(/<dl class="thread-quote link0">([\s\S]*)<\/dl>/gi)
	var quote_num = 0 //引用回复的层级（默认么有）
    if(r != null){
        quote = r[0];
        m = m.replace(r[0],"")
		quote_num = message.match(/class="thread-quote link0"/gi).length
    }
    return [m,quote,quote_num];
}
tool.getLastQuote = function (message) {
    var quote = "",m = message;
    var r = message.match(/<dl class="thread-quote link0">([\s\S]*)<\/dl>/gi)
    if(r != null){
        quote = r[0];
		var t_quote = quote.substring(1,quote.length-1)
		var r1 = t_quote.match(/<dl class="thread-quote link0">([\s\S]*)<\/dl>/gi)
		if(r1 != null){
			t_quote = t_quote.replace(r1,'')
			return '<' + t_quote +'>'
		}else{
			return quote
		}
    }else{
		return ''
	}
}

tool.formatQuote = function (message){
    var link = "";
    // var m=message.match(tool.exp.QuoteExp2)
    //     m=m!=null?m[0].replace("原回帖由 ","<em class='reply-em'>回复</em>@").replace(/ 于 ([^<]*)发表/gi,"<em class='reply-em'>:</em>"):""
    var m = message.replace(tool.exp.QuoteExp2,function () {
        link = arguments[1];
        return '<span class="new-reply"><a href="'+arguments[1]+'">回复@'+arguments[4]+':</a></span>'
    }).replace(tool.exp.QuoteExp1,function () {
        link = arguments[1];
        return '<span class="new-reply"><a href="'+arguments[1]+'">回复@'+arguments[3]+':</a></span>'
    })

    m = m.replace(tool.exp.QuoteExp3,function (match, p1,p2,p3) {
        if(p2 && p2.replace(/<br>/g, "\n").length > 50){
            var _p2 = p2.replace(/<br>/g, "\n").substring(0,50).replace(/\n/g, "<br/>")
            if(p3 == "<a"){
                return p1 + _p2+"..." + p3;
            } else{
                return p1 + _p2+"...<a href='"+link+"'>查看原回帖>></a>" + p3;
            }
        } else
            return match
    });
    // // var reg=m.match(tool.exp.QuoteExp4)
    // m=reg!=null?reg[0]:""
    m = tool.imgLazy(m,5)
    return m;
}
tool.emoji = function(message){
    var exp = this.exp.emojiExp;
    function f(){
        var result = "";
        var mid = arguments[1] ||  arguments[2];
        if(mid != null){
            var emjCodes = mid.split("-");
            for (var i = 0; i < emjCodes.length; ++i){
                var code = ""
                var emojiCodeInt=parseInt("0x"+emjCodes[i],16);
                try{
                    code = String.fromCodePoint(emojiCodeInt)
                }catch(e){

                }
                if(code != '')
                    code = '<span>'+code+'</span>'
                result += code
            }
        }
        return result;
    }
    var m = message.replace(exp,f);
    return m;
}


tool.setFont = function (param) {
    switch(config.keyData.fontSize){
        case "s":
            param.mainfontSize = "14px";param.mainlineHight = "0.42rem";
            param.fontSize = "14px";param.lineHight = "0.42rem";
            param.fontSize_H = "18px";param.lineHight_H = "0.48rem";
            param.replyfontSize = "13px";param.replylineHight = "0.40rem";
            break;
        case "m":
        	param.mainfontSize = "16px";param.mainlineHight = "0.42rem";
            param.fontSize = "15px";param.lineHight = "0.42rem";
            param.fontSize_H = "20px";param.lineHight_H = "0.48rem";
            param.replyfontSize = "14px";param.replylineHight = "0.42rem";
            break;
        case "l":
        	param.mainfontSize = "18px";param.mainlineHight = "0.58rem";
        	param.fontSize = "17px";param.lineHight = "0.50rem";
            param.fontSize_H = "22px";param.lineHight_H = "0.58rem";
            param.replyfontSize = "16px";param.replylineHight = "normal";
            break;
    }
    return param;
}
tool.html_encode = function(str) {
    if (str.length == 0) return "";
    str = str.replace(/<\/?script.*?>/g, "&lt;script&gt;").replace(/\[shareThread\]([\s\S]*?)\[\/shareThread\]/ig,'').replace(/<i>/ig,'').replace(/<\/i>/ig,'');
    return str;
}
tool.replaceHttps = function(url){
    return url.replace('http:','https:');
}
tool.paramReplaceHttps = function(){
    return function (text, render){
        return tool.replaceHttps(render(text));
    }
}
tool.getCityNameByDomain =  function (domain) {
    var siteMap = {"www.ihome99.com":"fz","demo.19lou.com":"demo","nt.19lou.com":"nt","suzhou.19lou.com":"suzhou","taizhou.19lou.com":"taizhou","lishui.19lou.com":"lishui","www.qvbuy.com":"tj","jiande.19lou.com":"jiande","wuhan.19lou.com":"wuhan","luban.19lou.com":"luban","go.cqmmgo.com":"chongqing","zhoushan.19lou.com":"zhoushan","www.shanghaining.com":"shh","home.19lou.com":"jiaju","fanwai.19lou.cn":"fanwai","putian.19lou.com":"putian","support.19lou.com":"support","jinhua.19lou.com":"jinhua","sansha.19lou.com":"sansha","huzhou.19lou.com":"huzhou","zz.19lou.com":"zz","guangzhou.19lou.com":"guangzhou","rizhao.19lou.com":"rizhao","taiyuan.19lou.com":"taiyuan","fuyang.19lou.com":"fuyang","linan.19lou.com":"linan","haining.19lou.com":"haining","shaoxing.19lou.com":"shaoxing","beijing.19lou.com":"beijing","www.19yuedu.com":"novel","cc.19lou.com":"cc","tiaozao.19lou.com":"tiaozao","quzhou.19lou.com":"quzhou","yuhang.19lou.com":"yuhang","yangzhou.19lou.com":"yangzhou","www.19lou.com":"hangzhou","ningbo.19lou.com":"ningbo","www.0595bbs.cn":"qz","wenzhou.19lou.com":"wenzhou","chuzhou.19lou.com":"chuzhou","hefei.19lou.com":"hefei","xiaoshan.19lou.com":"xiaoshan","shijiazhuang.19lou.com":"shijiazhuang","chunan.19lou.com":"chunan","yiwu.19lou.com":"yiwu","jiaxing.19lou.com":"jiaxing","tonglu.19lou.com":"tonglu","nanjing.19lou.com":"nanjing","anji.19lou.com":"anji"}
    if(siteMap[domain])
        return siteMap[domain];
    else
        return "hangzhou"
}
var key="PAGE_MAP";
var data={};
var replyObj={};
tool.getReplyMessage=function(tid){
    if(window.localStorage && window.localStorage.getItem(key)!=null){//有存储
        data= JSON.parse(window.localStorage.getItem(key)).data;
    }
    if(!$.isEmptyObject(data))
        return data[tid];
    else
        return "";
}
tool.setLocalPageInfo=function(info){
    // replyObj["time"]=Date.parse(new Date());
    if(info.maxPage==info.current_page){
        replyObj["pid"]=info.next_pid;
    }else{
        replyObj["pid"]=info.current_pid;
    }
    replyObj["page"]=info.current_page;
    replyObj["fid"]=info.fid;
    tid=info.tid;
    data[tid]=replyObj;
    try{
        window.localStorage.setItem(key,JSON.stringify({"data":data}))
    }catch(oException){
        if(oException.name == 'QuotaExceededError'){
            console.log('超出本地存储限额');
            localStorage.removeItem(key);
            window.localStorage.setItem(key,JSON.stringify({"data":data}))
        }
    }
}
// 广告轮播
tool.swiperMove=function(){
    var mySwiper = new Swiper('.swiper-container', {
        autoplay: 5000,
        autoplayDisableOnInteraction:false,
        pagination: '.swiper-pagination',
        paginationClickable: true
    });
}

tool.formatBanBan=function (msg,type) {
    //type = 1 不保留a标签，否则保留a标签
    //所有换行标签换\n
    var styleExp = /<style[^>]*>([\s\S]+?)<\/style>/gi
    msg = msg.replace(this.exp.scriptExp,'').replace(styleExp,'')
    msg = msg.replace(/<\/(p|br|div)[^>]*>/gm, '_pic_view_temp_br_replace_').trim();
    if(type!=1){
        msg = msg.replace(/<a[^>]*href="([^"]+)"[^>]*>/gm, '__a$1__');
        msg = msg.replace(/<\/a>/gm, '__/a__');
    }
    msg = msg.replace(/<\/?[^>]*>/gm, '');
    if(type!=1){
        msg = msg.replace(/__a(.+?)__/gm, '<a href="$1">');
        msg = msg.replace(/__\/a__/gm, '</a>');
    }
    msg = msg.replace(/^[_pic_view_temp_br_replace_|"&nbsp;"]+/, '');
    msg = msg.replace(/_pic_view_temp_br_replace_/gm, '<br>');
    msg = msg.replace(this.exp.nbspExp,"&nbsp;").replace(/(<br>&nbsp;){2,}|(<br>){2,}/gi,"<br>").replace(/(<br>)$/gi,"")
    if(msg.replace(/<\/?[^>]*>/gm, '').length>0){
        return msg
    }
    return ''
}
tool.html2text = function (msg) {
    msg = msg.replace(/<script[^>]*>([\s\S]+?)<\/script>/gi,"").replace(/<style[^>]*>([\s\S]+?)<\/style>/gi,"").replace(/<\/?[^>]*>/gm, '');
    return msg;
}

/**
* @desc: 是否是特殊用户组
* @return: true/false
* @author: ChangJun
*/
tool.hasSpecialUserGroup = function(gid){
    var sepcialUserGids = ['10','20','180']
    for (var index = 0; index < sepcialUserGids.length; index++) {
        var current = sepcialUserGids[index];
        if(gid === current){
            return true
        }
    }
    return false
}

/**
* @desc: 根据 gid 获取当前用户标识
* @return: 获取用户标识
* @author: ChangJun
*/
tool.getSpecialUserType = function(gid){
    var _SPECIAL_USER_GROUPS = {
        '10': '超版',
        '20': '版主',
        '180': '认证商家'
    }
    return _SPECIAL_USER_GROUPS[gid] || ''
}

/**
* @desc: 根据身份标识获取不同的 class 名
* @return: 身份标识 class
* @author: ChangJun
*/
tool.getSpecialUserClassStr = function(str){
    var _SPECIAL_USER_GROUPS_CLASS_STR = {
        '认证商家': 'preakfire-box',
        '超版': 'super-admin-icon',
        '版主': 'moderator_icon'
    }
    return _SPECIAL_USER_GROUPS_CLASS_STR[str] || ''
}