var newFollowData = {
    follow : [
        '<section class="lift section newFollow  {{^class}}second-fllow{{/class}}" style="{{^class}}padding:0.2rem 0;{{/class}}">',
        '<a class="anchor" data-pid="{{pid}}"></a>',
        '<header class="lift-hd clear">',
        '<div class="userinfo">',
        '{{#author}}',
        '<a class="userPic userLink">',
        '<img src="{{avatar}}">',
        '{{#is_ten_year}}<div class="golden"></div>{{/is_ten_year}}',
        '</a>',
        '{{/author}}',
        '</div>',
        '</header>',
        '<div class="lift-detail">',
        '<div class="info">',
        '{{#author}}<p class="user-name clear">',
        '<a class="userLink">{{user_name}}</a>',
        '</p>{{/author}}',
        '</div>',
        '<div class="user-status user-newFollow"></div>',
        '<div class="liftCont J_liftCont">',
        '<div class="comment" style=" {{#class}}font-size:{{fontSize}}{{/class}} {{^class}}font-size:15px{{/class}};line-height:{{lineHight}};">{{#atShow}}<span class="reply" data-pid="{{reply_pid}}">回复<em data-uid="{{reply_uid}}">@{{reply_user_name}}:</em><span>{{/atShow}}{{&message}}{{&imgs}}</div>',
        '</div>',
        '<div class="lift_rb"><p class="post-time">',
        '<span>{{created_at}}</span>',
        '</p></div>',
        '</div>',
        '</section>'
    ],
    editFollow:[
      '<div class="comment" style=" {{#class}}font-size:{{fontSize}}{{/class}} {{^class}}font-size:15px{{/class}};line-height:{{lineHight}};">{{#atShow}}<span class="reply" data-pid="{{reply_pid}}">回复<em data-uid="{{reply_uid}}">@{{reply_user_name}}:</em><span>{{/atShow}}{{&message}}{{&imgs}}' +
      '{{#edit_message}}<p class="edit-time">[{{edit_message}}]</p>{{/edit_message}}',
      '</div>',
      '</div>',
    ],
    domain :"www.19lou.com"
};
var isEmptyObject = function(obj){
    for(var n in obj){
        return false;
    }
    return true;
}
var attachmentsFilter = function(attachments,type){
    var att = "";
    if(attachments.length>0){
        for(i in attachments){
            att += tool.imgLazy(attachments[i],type);
        }
    }
    return att;
}

function  getNewFollowView(data,pid) {
    var param = JSON.parse(data);
    if(config.keyData.isNewDiary && config.keyData.isDiaryAll === 'false'){
        //日记贴阶段模式下不显示回复
        return
    }
    // 回复先审后发状态提示该回复进入审核
    if(param.auditFirst){
        util.bridge("showToast", "该回复已进入审核");
        return;
    }
    // var param=data;
    /*兴趣圈*/
    if(config.keyData.fid.toString().length >= 8){
        param.created_at = tool.formatTime(param.post.created_at);
        param.imgs = new Array();
        param.parent_pid=param.post.parent_pid
        param.reply_pid=param.post.reply_pid
        param.reply_user_name=param.post.reply_user_name
        param.reply_uid=param.post.reply_uid
        param.attachments = param.post.attachments;
        param.edit_message = param.post.edit_message;
        param.message = param.post.message.replace(/\\"/g,"\"").replace(/\\n/g,"\n").replace(/\[quote=([0-9a-z]+)\]/g,"").replace("[/quote]","");
        if(!isEmptyObject(param.attachments)){
            for(var i= 0;i<param.attachments.length;i++){
                var file_uri = param.attachments[i].file_uri.replace(/\\/g,"");
                if(!param.attachments[i].is_image){
                    param.message += '<div class="video_audit"></div>'
                }else{
                    var imgSrc = "https://att3.citysbs.com/m480x"+file_uri+"middle_"+param.attachments[i].file_name;
                    param.imgs[i] = '<img src="'+imgSrc+'" class="con_img"/>';
                }
                
            }
        }
        param.author.avatar = "https://avatar2.citysbs.com/m"+param.author.avatar;
        param.pid = param.post.pid;
    }else{
        param = param.post;
        param.created_at = tool.formatTime(param.created_at);
        param.imgs = new Array();
        if(!isEmptyObject(param.attachment)){
            for(var i= 0;i<param.attachment.length;i++){
                if(param.attachment[i].is_image){
                    var imgSrc = param.attachment[i].middle_url;
                    param.imgs[i] = '<img src="'+imgSrc+'" class="con_img"/>';
                }else{
                    param.message += '<div class="video_audit"></div>'
                }               
            }
        }
        param.author.avatar = tool.replaceHttps(param.author.avatar);
    }
    /*S=common*/
    var m_q = tool.getQuote(param.message);
    param.message = m_q[0];
    param.message = tool.filter(param.message);
    param.message = param.message.replace(/\[quote=([0-9a-z]+)\]/g,"").replace("[/quote]","");
    if(config.keyData.isNovel == "false"){
        param.message = tool.imgLazy(param.message,2);
        param.imgs = attachmentsFilter(param.imgs,2);
    }else{
        param.message = tool.imgLazy(param.message,3);
        param.imgs = attachmentsFilter(param.imgs,3);
    }
    param.message=tool.emoji(param.message);
    //字体设置
    param = tool.setFont(param);
    //夜间模式
    if(config.keyData.isNight=="true" || config.keyData.isNovel == "true"){
        param.message = tool.colorFilter(param.message);
    }
    /*E=common*/
    // 皇冠
    if(navigator.userAgent.indexOf("cqmmgo")== -1&&config.keyData.appVersion.length > 0&&config.keyData.appVersion[0]==6&&config.keyData.appVersion[1]==2&&config.keyData.appVersion[2]==1&&param.author.is_ten_year){
        param.author.is_ten_year=true;
    }else{
        param.author.is_ten_year=false;
    }
    param.atShow=(param.reply_user_name!=undefined && param.reply_user_name!="")?true:false
    param.class=param.parent_pid == "0"?true:false
    var html = ''
    if(pid){
        //编辑
        var tpl = newFollowData.editFollow.join("");
        html = Mustache.render(tpl, param);
    }else {
        //新增
        var tpl = newFollowData.follow.join("");
        html = Mustache.render(tpl, param);
    }
    var page = config.keyData.page;
    var firstPage = config.keyData.firstPage;
    var maxPage = config.keyData.maxPage;
    var perPage = config.keyData.per_page;
    var current_page = config.keyData.current_page;
    if(pid){
        //编辑
        var editContent = $('.liftCont[data-pid='+pid+']')
        editContent.empty()
        editContent.html(html)
    }else {
        //新增
        if(config.keyData.pageMode == "scroll"){
            if($('.noData').length>0)
                $('.noData p').remove();
            if(param.parent_pid == "0"){
                if($("#replyContian").length>0){
                    $("#replyContian").prepend(html)
                }else{
                    $("#views").prepend(html)
                }
                // $(".loading").before(html);
            }else{
                if(param.reply_pid !="0"){
                    $('#'+param.reply_pid).after(html)
                }else{
                    $('#'+param.parent_pid).find('.second-fllow-contain').prepend(html)
                }

            }
        }else{
            if(page<maxPage){
                $(".pagen").before(html);
            }else if(page>=maxPage){
                if(param.parent_pid == "0"){
                    if($("#replyContian").length>0){
                        $("#replyContian").prepend(html)
                    }else{
                        $("#views").prepend(html)
                    }
                    // $("#replyContian").prepend(html)
                    // $(".loading").before(html);
                }else{
                    if(param.reply_pid!="0"){
                        $('#'+param.reply_pid).after(html)
                    }else{
                        $('#'+param.parent_pid).find('.second-fllow-contain').prepend(html)
                    }
                }
            }
        }
        config.keyData.anchorPid = param.pid;
        util.floorAnchor(config.keyData,"newPost");
    }
}

