function getSwiperImages(){
    getNewApiKey()
    var pas={};
    pas.tid=config.keyData.tid;
    pas.fid=config.keyData.fid;
    pas.pid=0;
    pas.page=1;
    var picViewHtml="";
    var actUrl = 'https://' + config.keyData.domain + '/api/thread/getAllImageByThreadAuthor'
    if(pas.fid.length>=8){
        actUrl = 'https://' + config.keyData.domain + '/api/board/getAllImageByThreadAuthor'
    }
    pas = $.extend(pas,config.apiKey);
    $.ajax({
        contentType: "application/json",
        type: "GET",
        url: actUrl,
        data: pas,
        dataType: 'jsonp',
        jsonp: "clientjsonp",
        success: function (res) {
            if(res.attachments&&res.attachments.length>0){
                var attachments = res.attachments
                var swiperImages = []
                for(var i = 0; i < attachments.length;i++){
                    var url = attachments[i].url
                    url = url.toLowerCase()
                    if(!(confirmEnding(url,'.gif')||confirmEnding(url,'.mp4'))){
                        swiperImages.push(attachments[i])
                    }
                }
                if(swiperImages.length>20){
                    swiperImages = swiperImages.slice(0,20)
                }
                // 轮播图
                setPicView(swiperImages)
            }
        },
        error: function (e) {
            // console.log(e)
        }
    })
}
function setPicView(pic_array) {
    var html = ''
    for (var i = 0; i < pic_array.length; i++) {
        html += '<div class="swiper-slide"><div class="swiper_pic"><img src="' + pic_array[i].url + '" /></div></div>'
    }
    $('.swiper-container-pic .swiper-wrapper').first().html(html)

    if (pic_array.length > 0) {
        $('.pic_num').eq(0).children().eq(0).html('1/' + pic_array.length)
    }
    var swiper = new Swiper('.swiper-container-pic', {
        autoHeight: true,
        observer:true,
        observeParents:true,
        onSlideChangeEnd: function(swiper){
            // var swiper = this
            var num = swiper.activeIndex + 1 + '/' + pic_array.length
            $('.pic_num').eq(0).children().eq(0).html(num)
        },
        onClick: function(swiper){
            // alert(swiper.activeIndex);
            var r_json = {}
            var  big_pic_url = pic_array[swiper.activeIndex].url
            var list = []
            var img_alt = []

            for(var i = 0; i < pic_array.length;i++){
                list.push(pic_array[i].url)
                img_alt.push("")
            }
            r_json.pid = config.keyData.pid + ''
            r_json.img_list = list
            r_json.img_alt = img_alt;
            r_json.current_img = big_pic_url
            connectWebViewJavascriptBridge(function(bridge){
                bridge.showPhotoes(JSON.stringify(r_json));
            });
        }
    });
}
function confirmEnding(str, target) {
    var start = str.length - target.length;
    var arr = str.substr(start, target.length);
    if (arr == target) {
        return true;
    }
    return false;
}
var setThread = function () {
    //判断12行
    var message = $('.thread_message')[0];
    var styles = window.getComputedStyle(message, null);
    var lh = parseInt(styles.lineHeight, 10);
    var h = parseInt(styles.height, 10);
    var lc = Math.round(h / lh);
    if(lc>=12){
        $(message).next().show()
    }else{
        $(message).next().hide()
    }
}

// setTimeout(() => {
//     getSwiperImages();
//     // setThread()
// },1000);

