function getPkView(pkInfo,pktid){
    var tpl =[
        '<section class="pk_mod">',
        '<div class="view_mod">',
        '<div class="fl view_m">',
        '<p class="consView">{{cons}}</p>',
        '<i class="vs"><img src="view/css/images/pk_vsx2.png" alt="" width="27"></i>',
        '</div>',
        '<div class="fr view_m">',
        '<p class="prosView">{{pros}}</p>',
        '</div>',
        '</div>',
        '<div class="pk_area">',
        '<div class="fl">',
        '<a class="pkzan J_pkBtn" data-value="1" data-tid={{pktid}}></a>',
        '</div>',
        '<div class="fr">',
        '<a class="nozan J_pkBtn" data-value="-1" data-tid={{pktid}}></a>',
        '</div>',
        '<div class="pkbar">',
        '<p class="pkbar-num">',
        '<span class="fl consCount">{{cons_count}}</span>',
        '<span class="fr prosCount">{{pros_count}}</span>',
        '</p>',
        '<p class="pk-color">',
        '<span class="fl"></span>',
        '</p>',
        '</div>',
        '</div>',

        '</section>'
    ];
    pkInfo["pktid"] = pktid;
    var pkHtml = Mustache.render(tpl.join(""), pkInfo);
    $("#mainView").append(pkHtml);

    var prosHeight = $(".view_mod .fr").get(0).offsetHeight,
        consHeight = $(".view_mod .fl").get(0).offsetHeight;
    //$(".view_m").height(prosHeight > consHeight ? prosHeight : consHeight);
    if (prosHeight > consHeight) {
        $(".view_mod .fl").height(prosHeight);
        $(".consView").css('line-height', "0.8rem")
    } else if (prosHeight > consHeight) {
        $(".view_mod .fr").height(consHeight);
        $(".prosView").css('line-height', "0.8rem")
    } else {
        $(".consView").css('line-height', "0.4rem")
        $(".prosView").css('line-height', "0.4rem")
    }
}

function pkReset(){
    var $p = $(".consCount"),$m = $(".prosCount");
    var plus = parseInt($p.html()),
        minus = parseInt($m.html()),
        pkWidth = $(".pk-color").width(),
        zanWidth = pkWidth*(plus/(plus+minus));
    $(".pk-color .fl").animate({"width": zanWidth},1000);
}

$(".J_pkBtn").live("click",function(){
    var backItems = {};
    var items = {};
    if($(this).attr("data-value")==1){
        items.ReplyType = 2;
        backItems.ReplyType = 2;
        // backItems.ttname = "991800_"+config.keyData.fid+"_"+config.keyData.tid;
        var ttname="991800_"+config.keyData.cityName+"_"+config.keyData.fid+"_"+config.keyData.tid;
        wbBridge.bridge("getDataCode",JSON.stringify({code:ttname}));
    }else{
        items.ReplyType = 3;
        // backItems.ttname = "991400_"+config.keyData.fid+"_"+config.keyData.tid;
        var ttname="991400_"+config.keyData.cityName+"_"+config.keyData.fid+"_"+config.keyData.tid;
        wbBridge.bridge("getDataCode",JSON.stringify({code:ttname}));
    }
    items.tid = $(this).attr("data-tid");
    items.source = 6;
    items.message = "client";
    connectWebViewJavascriptBridge(function(bridge){
        bridge.openPostRequest("https://"+config.keyData.domain+"/api/thread/publishPostPk",JSON.stringify(items),'pkClick',JSON.stringify(backItems))
    });
})

function viewSubmit(argument){
    if(argument == 2){
        $(".pkzan").addClass("consgif");
        $(".nozan").addClass("btn_dis_pros");
        var plus = parseInt($(".consCount").html());
        $(".consCount").html(plus+1);
        pkReset()
    }else if(argument == 3){
        $(".nozan").addClass("prosgif");
        $(".pkzan").addClass("btn_dis_cons");
        var minus = parseInt($(".prosCount").html());
        $(".prosCount").html(minus+1);
        pkReset()
    }
}

function pkClick(res,parm){
    var res = JSON.parse(res);
    var parm = JSON.parse(parm);
    if(res.code == 1){
        viewSubmit(parm.ReplyType);
    }else if(res.error == 2061906){
        connectWebViewJavascriptBridge(function(bridge){
            bridge.showToast("你已参与过PK！");
        })
    }else{
        connectWebViewJavascriptBridge(function(bridge){
            bridge.showToast("请求异常，请重试！");
        })
    }
}

