
/**
 * 视频的处理方法
 */
//浏览器发动全屏
var video = {
    videoAutoPause:function(){//视频4G下不自动播放
        var videoLen=$("video").length;
        for(var t=0;t<videoLen;t++){
            var videoId=document.getElementsByTagName("video");
            if(videoId[t].firstElementChild.src.indexOf('citysbs.com') >= 0) {
                videojs(videoId[t]).ready(function () {
                    var myPlayer = this;
                    myPlayer.setAttribute("preload", "none");//4G下不可以缓存
                    myPlayer.pause();
                    myPlayer.on("firstplay", function () {
                        showTip("当前网络非wifi状态");
                    });
                });
            }
        }
    },
    videoAutoPlay:function(){//视频动态加载视频wifi下自动播放
        var videoLen=$("video").length;
        var clientH=$(window).height();
        var _winWidth=document.body.clientWidth || document.getElementsByTagName('body')[0].getBoundingClientRect().width;
        var videoH=(40*_winWidth)/75;//视频的高度
        var moveH=(80*_winWidth)/75;//视频在页面中滑动的范围

        var timer;
        var arr=[];

        ///*视频在第一屏的时候*/
        var _video = document.getElementsByTagName("video");
        var _t;
        _t = setInterval(function(){
            if(_video.length == 0){
                _video = document.getElementsByTagName("video");
            }else{
                clearInterval(_t)
                if(_video[0].firstElementChild.src.indexOf('citysbs.com') >= 0){
                    var videObj = _video[0];
                    videojs(videObj).ready(function(){
                        var myPlayer = this;
                        if(0<(videObj.getBoundingClientRect().top+videoH ) && (videObj.getBoundingClientRect().top+videoH )<clientH) {
                            myPlayer.muted(true);
                            myPlayer.play();
                        }
                    });
                }
            }
        },500);
        $(".vjs-fullscreen-control").click(function(){
         alert(1)
        });
        /*向下滚动的时候*/
        $(window).bind("scroll resize",function(){
            clearTimeout(timer);
            timer=setTimeout(function(){
                for(var t=0;t<videoLen;t++){
                    var videoId=document.getElementsByTagName("video");
                    if(videoId[t].firstElementChild.src.indexOf('citysbs.com') >= 0){
                        var top = videoId[t].getBoundingClientRect().top;//元素顶端到可见区域顶端的高度
                        var shirtTop=((clientH-videoH)/2)-videoH;//视频离顶部的最小高度;
                        var longTop=clientH-((clientH-videoH)/2);//视频离顶部的最大高度;
                        videojs(videoId[t]).pause();
                        if(top > shirtTop && top < longTop && top > 0){
                            arr.push(videoId[t]);
                        }
                    }
                }
                if(arr.length>0){
                    var myPlayer = videojs(arr[0]);
                    //自动播放时，设置Tttname
                    var ttnameID=document.getElementById(arr[0].id);
                    ttnameID.setAttribute("ttname","tz_video_play_app");
                    ttnameID.setAttribute("preload", "auto");//wifi 下预加载
                    myPlayer.ready(function(){
                        var myPlayer = this;
                        myPlayer.play();
                        myPlayer.muted(true);
                    })
                }
                arr=[]
            },100);
        });
    },
    init:function(){
        var _video = document.getElementsByTagName("video");
        var _t,_number = 0;
        _t = setInterval(function(){
            if(_video.length == 0){
                _video = document.getElementsByTagName("video");
                if(_number > 10){
                    clearInterval(_t);
                }
                _number++;
            }else{
                clearInterval(_t);
                for(var g=0;g<_video.length;g++){
                    if(_video[g].firstElementChild.src.indexOf('citysbs.com') >= 0){
                        (function(a){
                            videojs(_video[a]).ready(function(){
                                var myPlayer = this;
                            })
                        })(g)
                    }
                }

            }
        },500);
    },
    conVideoPuase:function(){//内容页退出视频暂停
        var conVideo=document.getElementsByTagName("video");
        var iframes = document.getElementsByTagName('iframe');
        for(var t=0;t<conVideo.length;t++) {
            (function(a){
                conVideo[a].pause();
            })(t)
        }
        for(var i=0;i<iframes.length;i++) {
            var iframeVideo=iframes[i].contentWindow.document.getElementsByTagName("video");
            for(var k=0;k<iframeVideo.length;k++) {
                (function(a){
                    iframeVideo[a].pause();
                })(k)
            }
        }
    }
};
video.init();




