var voteData = {
	voteTempl : {
		voted : [
			'<div class="vote">',
				'<div class="vote-contain Voted">',
		      		'<div class="clear {{^multiple}}only{{/multiple}}"><span class="vote-type"></span><p class="vote-title">{{&subject}}</p></div>',
				      '<ul class="vote-list">',
				        '{{#vote_options}}',
				          '<li class="option {{on}}" optionId = {{id}}>',
				              '<p class="option-title"><span class="option-txt">{{content}}</span><span class="num">{{vote_number}}</span></p>',
				              '<p class="poll-percent"><em style="{{percentStyle}}"></em></p>',
				          '</li>',
				        '{{/vote_options}}',
				      '</ul>',
			        '<p class="vote-count">已有{{vote_users}}人参与投票{{#off}}<span class="status">投票已结束</span>{{/off}}</p>',
			    '<div>',
		    '</div>'
		],
		vote :[
			'<div class="vote">',
				'<div class="vote-contain {{#multiple}}multiple{{/multiple}}">',
			      '<div class="clear {{^multiple}}only{{/multiple}}"><span class="vote-type"></span><p class="vote-title">{{&subject}}</p></div>',
			      '<ul class="vote-list">',
			        '{{#vote_options}}',
			          '<li class="option" optionId = {{id}}>',
			              '{{#multiple}}<em class="vote-icon"></em>{{/multiple}}',
			              '<p class="option-title"><span class="option-txt">{{content}}</span>{{#visiable}}<span class="num">{{vote_number}}</span>{{/visiable}}</p>',
			              '{{#visiable}}<p class="poll-percent"><em style="{{percentStyle}}"></em></p>{{/visiable}}',
			          '</li>',
			        '{{/vote_options}}',
			      '</ul>',
			      '<p class="vote-count">{{#visiable}}已有{{vote_users}}人参与投票{{/visiable}}&nbsp;{{#off}}<span class="status">投票已结束</span>{{/off}}{{^off}}{{#multiple}}<span class="status vote-btn">投票<span>(可选{{max_select}}项)</span></span>{{/multiple}}{{/off}}</p>',
			    '<div>',
		    '</div>'
		]
	},
	subject : "",
	voteObj : "",
	pid : 0,
	sele_num : 0
}

function getParam(arg){
    var param = arg;
    if(param.status == "1" || param.is_expired) param.off = true; else param.off = false;
    if(param.category == "1") param.multiple = true; else param.multiple = false;
    if(param.visiable == "1") param.visiable = true; else param.visiable = false;
    var options = param.vote_options
    var vote_number = 0;
    for (var p in options){
    	vote_number = vote_number + parseInt(options[p].vote_number);
    }
    for (var i = options.length - 1; i >= 0; i--) {
        var option = options[i];
        if(vote_number != 0){
        	var width = parseInt(option.vote_number)*100/vote_number;
        	options[i].percentStyle = "width:"+width+"%;"
        	options[i].visiable = param.visiable;
        }
    };
    return param
}

function getVoteView(arg,sub,pid) {
	voteData.subject = sub;
	voteData.voteObj = arg;
	voteData.pid = pid;
	param = getParam(voteData.voteObj);
    param.subject = voteData.subject;
    param.on = "on";
    if(param.is_voted){
    	var tpl = voteData.voteTempl.voted.join("");
    }else{
    	var tpl = voteData.voteTempl.vote.join("");
    }
    $("#mainView").append(Mustache.render(tpl, param));
    addVoteEvent();
}

function addVoteEvent(){
	var max_num = voteData.voteObj.max_select;
	if(voteData.voteObj.category == "0"){
        $(".option").live("click",function(e) {
			ttclickAdd("991500_"+config.keyData.localCityName+"_"+config.keyData.fid+"_"+config.keyData.tid);
			if(!$(".vote-contain").hasClass("Voted")){
        		$(this).addClass('on');
        		voteSubmit();
        	}else{
        		showTip("你已经投过票了")
        	}
        });
	}else{
		$(".option").live("click",function(e) {
			ttclickAdd("991500_"+config.keyData.localCityName+"_"+config.keyData.fid+"_"+config.keyData.tid);
			if(!$(".vote-contain").hasClass("Voted")){
				var _this = $(this);
				if(_this.hasClass("on")){
					_this.removeClass("on");
					voteData.sele_num -=1;
				}else{
					if(voteData.sele_num+1 > max_num){
                        showTip("投票项过多")
					}else{
						_this.addClass("on");
						voteData.sele_num +=1;
					}

				}
			}else{
				showTip("你已经投过票了")
			}
		});
		$(".vote-btn").live("click",function(e){
			if(!$(".vote-contain").hasClass("Voted")){
				if(voteData.sele_num > max_num){
					showTip("投票项过多")
				}else{
					voteSubmit();
				}
			}else{
				showTip("你已经投过票了")
			}
		})
	}
}

function voteSubmit(){
	var data = {};
	var param = {};
	param.ttname = "991500_" + config.keyData.fid + "_" + config.keyData.tid;
    data.fid = voteData.voteObj.fid;
    data.tid = voteData.voteObj.tid;
    data.pid = voteData.pid;
    data.voteId = voteData.voteObj.id;
    var objs = $(".on");
    objs.each(function(index, e){
    	var $e = $(e);
    	if(index > 0){
    		data.optionIdsStr +=","+$e.attr("optionId");
    	}else if(index == 0){
            data.optionIdsStr =$e.attr("optionId");
    	}
    })
	connectWebViewJavascriptBridge(function(bridge){
	    bridge.openPostRequest("https://"+config.keyData.domain+"/api/thread/vote",JSON.stringify(data),'getVoteResult',JSON.stringify(param))
    });
}

function getVoteResult(res,back){
	var res = JSON.parse(res);
	if(res.code == 1){
		param = getParam(res.thread_vote);
    	param.subject = voteData.subject;
    	$(".option").each(function(index, e){
    		if($(e).hasClass("on")){
    			param.vote_options[index].on = "on";
    		}
    	})
    	var tpl = voteData.voteTempl.voted.join("");
    	$(".vote").html(Mustache.render(tpl, param));
    	if(!$(".vote-contain").hasClass("Voted"))$(".vote-contain").addClass("Voted");
		showTip("投票成功")
	}else{
		var messages = "投票未成功";
		switch (res.error){
			case '2061901':messages="投票已过期";
            	break;
            case '2061902':messages="你已经投过票了";
            	break;
            case '2061903':messages="只允许认证用户才能参与投票";
            	break;
            case '2061904':messages="投票已关闭";
            	break;
            case '2061905':messages="投票项过多";
            	break;
		}
		showTip(messages);
		$(".option").removeClass('on');
		voteData.sele_num = 0;
	}
}


