function  getZanOppose(pid) {
    var _this=this;
    var pas={};
    // pas.fid=config.keyData.fid;
    pas.tid=config.keyData.tid;
    pas.rate=1;
    pas.pid=pid;
    var url = "https://"+config.keyData.domain+ "/api/thread/getRateInfo"
    if(util.isBoard()){
        url = "https://"+config.keyData.domain+ "/api/board/getRateInfo"
        pas.bid=config.keyData.fid;
    }else {
        pas.fid=config.keyData.fid;
    }
    getNewApiKey()
    pas = $.extend(pas,config.apiKey);
    try{
        $.ajax({
            contentType:"application/json",
            type :"GET",
            url : url,
            data : pas,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                if(res.message == "SUCCESS"){
                    createZanOpposeList(res,pid)
                    $(".zan-oppose-list").css("height","auto")
                }
            },
            error: function(e){
            }
        });
    }catch (e) {
        $(".zan-oppose-list").remove();
    }
}
function createZanOpposeList(data,pid){
    var zanOpposeData = {
        zanTpl: [
            // '<div class="zan-list ">',
            '{{#isZanList}}<ul>{{#zanList}}<li data-uid="{{uid}}" data-type="0" class="uid_{{uid}} {{^isZanMore}}goUserLink {{/isZanMore}}">{{^isZanMore}}<img src="{{small_avatar}}" alt="">{{/isZanMore}}</li>{{/zanList}}',
            '</ul>{{/isZanList}}',
            '{{#isZanMore}}<span class="goUserList" data-type="0" ></span>{{/isZanMore}}',
            '<span class="msg {{^isZanList}}isShow{{/isZanList}}">点赞给楼主一些鼓励吧</span>',
            // '</div>',
            // '<div class="oppose-list ">',
            // '</div>'
        ],
        opposeTpl:[
            '{{#isOpposeShow}}{{#isOpposeList}}<ul>{{#opposeList}}<li data-uid="{{uid}}" data-type="1" class="uid_{{uid}} {{^isOpposeMore}}goUserLink{{/isOpposeMore}}">{{^isOpposeMore}}<img src="{{small_avatar}}" alt="">{{/isOpposeMore}}</li>{{/opposeList}}',
            '</ul>{{/isOpposeList}}',
            '{{#isOpposeMore}}<span class="goUserList" data-type="1" ></span>{{/isOpposeMore}}',
            '<span class="msg {{^isOpposeList}}isShow{{/isOpposeList}}">内容不友善，反对楼主</span>{{/isOpposeShow}}',
        ]
    };
    var param = {};
    const num=8;
    var zanList=[],opposeList=[]
    param.pid=pid;
    param.uid =config.keyData.uid
    param.isOpposeShow=config.interactData.canNegative
    if(param.isOpposeShow)
        $('.oppose-list').addClass("new-is-zan").show();
    if(data.total_zan_count=="0"){
        param.total_zan_count="赞"
        param.isNum=false
    }else{
        param.total_zan_count=data.total_zan_count
        param.isNum=true
    }
    if(data.zan_user_list.length>0){
        var len=data.zan_user_list.length;
        param.isZanList=true;
        for(var i=0;i<len;i++){
            if(i>num) break
            data.zan_user_list[i].isZanMore=false
            if(i==num)
                param.isZanMore=true
            zanList.push(data.zan_user_list[i]);
            param.zanList=zanList
        }

    }else{
        param.isZanList=false;
    }

    if(data.total_against_count=="0"){
        param.total_oppose_count="反对"
        param.isOpposeNum=false
    }else{
        param.total_oppose_count=data.total_against_count
        param.isOpposeNum=true
    }
    if(data.against_user_list.length>0){
        var len=data.against_user_list.length;
        param.isOpposeList=true;
        for(var i=0;i<len;i++){
            if(i>num) break;
            data.against_user_list[i].isOpposeMore=false
            if(i==num)

                param.isOpposeMore=true
            opposeList.push(data.against_user_list[i]);
            param.opposeList=opposeList
        }
    }else{
        param.isOpposeList=false;
    }
    switch(config.keyData.fontSize){
        case "s":param.fontSize = "15px";
            break;
        case "m":param.fontSize = "17px";
            break;
        case "l":param.fontSize = "19px";
            break;
    }
    var zanTpl = zanOpposeData.zanTpl.join("");
    var opposeTpl = zanOpposeData.opposeTpl.join("");
    var zanHtml = Mustache.render(zanTpl,param );
    var opposeHtml = Mustache.render(opposeTpl,param );
    $(".zan-list ul").remove()
    $(".zan-list .msg").remove();
    $(".oppose-list ul").remove()
    $(".oppose-list .msg").remove();
    $(".zan-list .rate_new i").html(param.total_zan_count);
    $(".oppose-list .J_oppose i").html(param.total_oppose_count);
    $(".zan-list").append(zanHtml);
    $(".oppose-list").append(opposeHtml);
}
