/**
 * Created with IntelliJ IDEA.
 * User: Carmen
 * Date: 16-5-10
 * Time: 上午10:17
 * 日记贴清单页面渲染
 * update by:chensisi
 */
(function(){
    var diaryData = {
        headerTpl:[
            '{{#isAll}}<div class="J_diaryNav nav {{#isHome}}home{{/isHome}}">',
                '<ul>',
                    '<li class="active" data-mod="steplist"><a href="javascript:void(0)" ttname="app_diary_list_stage_{{cityName}}">阶段目录</a></li>',
                    '<li data-mod="spendList"><a href="javascript:void(0)" ttname="app_diary_list_cost_{{cityName}}">花费清单</a></li>',
                '</ul>',
            '</div>{{/isAll}}'
        ],
        stageTpl:[
            '{{#isAll}}<div class="J_listMod steplist {{#isHome}}home{{/isHome}}">',
            '<ul>',
                '{{#stageList}}<li  >',
                '<a href="javascript:void(0);" class="goFirstPost" data-fid="{{fid}}" data-tid="{{tid}}" data-pid="{{firstPid}}" ttname="app_diary_list_stage_{{stage_name}}_{{cityName}}"><p class="ellipsis">{{stage_name}}</p><em></em></a>',
                    '<ul>',
                    '{{#stage_info}}<li class="J_goPost {{#isCur}} active{{/isCur}}" data-fid="{{fid}}" data-tid="{{tid}}" data-pid="{{pid}}" ttname="app_diary_list_stage_{{stage_name}}_{{cityName}}">',
                        '<a  href="javascript:void(0);"><p class="ellipsis">{{title}}</p><em></em></a>',
                    '</li>{{/stage_info}}',
                    '</ul>',
                '</li>{{/stageList}}',
            '</ul>',
            '</div>{{/isAll}}'
        ],
        inventoryTpl:[
            '<div class="J_listMod spendList {{#isHome}}home{{/isHome}}"{{^isAll}} style="display:block"{{/isAll}}>',
                '<ul>',
                    '{{#stageInvList}}<li>',
                        '{{#hasInventory}}<a href="javascript:void(0)">',
                            '{{#isAll}}<h3>{{stage_name}}</h3>{{/isAll}}',
                            '{{#inventory_shop_info_list}}<div class="{{#show_direct}}J_goBizCircle {{/show_direct}}text"{{#show_direct}} data-bid="{{bid}}"{{/show_direct}} ttname="app_diary_list_cost_{{shop_name}}_{{cityName}}">',
                                '<h2>{{shop_name}}</h2>{{#show_dynamic_focus}}<span >惠</span>{{/show_dynamic_focus}}',
                                '<div class="scoreBox">总体评价:<em class="level level_{{level}}"></em></div>',
                                '<div class="price{{#show_direct}} active{{/show_direct}}">￥<em>{{price}}</em></div>',
                            '</div>{{/inventory_shop_info_list}}',
                        '</a>{{/hasInventory}}',
                        '{{^hasInventory}}<div class="hf-nodata"><span><img src="view/css/diary/images/hf-noData.png" width="40%" alt=""><p>暂时没有花费清单哟！</p></span></div>{{/hasInventory}}',
                    '</li>{{/stageInvList}}',
                '</ul>',
                '<div class="footer {{#isHome}}home{{/isHome}}">',
                    '{{#isAll}}<p>总预算 ￥{{totalBudget}}</p>{{/isAll}}',
                    '<p class="total">{{footDesc}} ￥<em>{{totalPrice}}</em></p>',
                '</div>',
            '</div>'
        ]
    };

    function renderDiary(data) {
        var data = $.extend(data,diaryUtil.getApi().data);
        var actUrl = "https://"+data.domain+"/api/app/getODiaryStageInfo";
        $.ajax({
            contentType:"application/json",
            type :"GET",
            url : actUrl,
            data : data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                if(res.code=="1"){
                    var gobalPid="0";
                    var isCur = false;
                    var html =""
                    var hash = {};
                    hash.fid = data.fid;
                    hash.tid = data.tid;
                    hash.cityName = data.cityName;
                    var tpl = diaryData.headerTpl.join("")
                        +diaryData.stageTpl.join("")
                        +diaryData.inventoryTpl.join("");

                    var allList = res.diary_stage_info_list
                    var pidStageMapList = res.pid_stage_map
                    if(res.category_id == "16"){
                        hash.isHome=true //
                    }else {
                        hash.isHome=false
                    }
                    if(data.type=="single"){
                        hash.isAll = false
                        hash.footDesc = "阶段合计"
                        hash.pid = data.pid
                        hash.stageInvList = true
                        $.each(allList,function(i){
                            if(allList[i].pid== data.pid){
                                var invList = allList[i].inventory_shop_info_list
                                hash.inventory_shop_info_list = invList
                                var hasInv = false
                                if(allList[i].inventory_shop_info_list!=undefined){
                                    hasInv = true
                                }
                                hash.totalPrice = (allList[i].total_price=="-1")?"0元":allList[i].total_price;
                                hash.hasInventory = hasInv;
                            }
                        })
                        html = Mustache.render(tpl,hash)
                        $("#contain").html(html)
                    }else{
                        hash.isAll = true
                        hash.footDesc = "清单合计"
                        $.each(allList,function(i){
                            var hasInv = false;
                            if(allList[i].inventory_shop_info_list!=undefined){
                                hasInv = true
                            }
                            allList[i].hasInventory = hasInv
                        })

                        //对相同阶段数据进行合并
                        var invList = handleInvList(allList,pidStageMapList)
                        hash.stageInvList = (invList.length>0)?invList:true;
                        hash.totalPrice = (res.total_price=="-1")?"0元":res.total_price;
                        hash.totalBudget = res.total_budget;
                        getStageData(data,function (resData) {
                            var resMap=[];
                            $.each(resData,function (key,value) {
                                var firstPid=value[0].pid;
                                for(var i=0,len=value.length;i<len;i++) {
                                    if (value[i].title == "") {
                                        value[i].title = "一篇没有标题的日记"
                                    }
                                    if(data.pid==value[i].pid){
                                        isCur=true;
                                        value[i].isCur=isCur
                                    }
                                }
                                resMap.push({"stage_info":value,"stage_name":key,"firstPid":firstPid})
                            })
                            hash.stageList =resMap;
                            html = Mustache.render(tpl,hash)
                            $("#contain").html(html)
                        })
                    }

                }
            },
            error: function(e){
            }
        });

        if(data.type=="all"){
            $('.J_diaryNav li').live("click",function(event) {
                $(this).addClass('active').siblings().removeClass('active')
                var cName = $(this).attr("data-mod")
                $("."+cName).show().siblings(".J_listMod").hide()
            });

            //单个阶段链接跳转
            function  goPost(obj) {
                obj.live("click",function(){
                    var _this=$(this)
                    ttclickAdd(_this.attr("ttname"));
                    var postHash = {};
                    postHash.fid = _this.attr("data-fid");
                    postHash.tid = _this.attr("data-tid");
                    postHash.anchorPid = _this.attr("data-pid");
                    postHash.page = 1;
                    postHash.loadMore = "false";
                    postHash.domain = diaryUtil.getParam().domain;
                    var alertJson ={method:"diaryRewriteView",data:JSON.stringify(postHash)}
                    openBridge.bridge("goBackWithAlert",alertJson)
                    return false
                })

            }
            goPost($(".J_goPost"))
            goPost($(".goFirstPost"))
        }

        //商家圈跳转
        $(".J_goBizCircle").live("click",function(){
            var fid = $(this).attr("data-bid");
            ttclickAdd($(this).attr("ttname"));
            openBridge.bridge("gotoBusinessCircle",fid)
        })
    }

    //封装数据
    function handleInvList(hash,map){
        // //循环 得到map：pid->inv_info
        var pidInvMap={},pidStageMap={},res=[]
        $.each(hash,function(i){
            if(hash[i].inventory_shop_info_list!=undefined && hash[i].inventory_shop_info_list.length>0){
                pidInvMap[hash[i].pid] = hash[i].inventory_shop_info_list
                pidStageMap[hash[i].pid] = hash[i].stage_name
            }
        })
        //循环 合并相同阶段的清单数据
        $.each(map,function(i){
            var pidArr = map[i].split(" ")
            if(pidInvMap[pidArr[0]]==undefined){
                pidInvMap[pidArr[0]] = []
            }

            $.each(pidArr,function(e){
                if(e>0 && pidInvMap[pidArr[e]]!=undefined){
                    pidInvMap[pidArr[0]] = pidInvMap[pidArr[0]].concat(pidInvMap[pidArr[e]])
                    pidStageMap[pidArr[0]]=pidStageMap[pidArr[e]]
                    pidInvMap[pidArr[e]] = undefined
                }
            })
        })
        //循环 封装清单数据
        $.each(pidInvMap,function(i){
            if(pidInvMap[i]!=undefined && pidInvMap[i]!=""){
                res.push({"inventory_shop_info_list":pidInvMap[i],"stage_name":pidStageMap[i],"hasInventory":true});
            }
        })
        return res;
    }


    //获取电梯导航数据
   function getStageData(data,cb){
       // var data = $.extend(data,diaryUtil.getApi().data);
       var actUrl="https://"+data.domain+"/api/app/getStageInfoMap"
       $.ajax({
           contentType:"application/json",
           type :"GET",
           url : actUrl,
           data : data,
           dataType: 'jsonp',
           jsonp: "clientjsonp",
           success: function(res){
                if(res.code=="1"){
                    var data=res.stage_info_map;
                    typeof cb == "function" && cb(data)
                }
            }
        })
    }
    // getStageData(diaryUtil.getParam())
    //渲染清单列表
    renderDiary(diaryUtil.getParam())
})()
