/**
 * Created by chensisi on 2017/3/20.
 * 渲染日记贴推荐模块
 */
//dairy-seller j_diaryBiz j_diaryAd
function initDiaryMod(){
    var isDiary;
    var appVersionNum=''+config.keyData.appVersion[0]+config.keyData.appVersion[1]
    if(config.keyData.appVersion.length >0 && parseInt(appVersionNum)>=88){
        !util._toBoolean(config.keyData.isDiaryAll)?isDiary=true:isDiary=false
    }
    var _sellers = $(".j_diarySeller.init");
    var apiObj= util.getApi(config.keyData).data;
    var post_data = {domain:config.keyData.domain};
    post_data = $.extend(post_data,apiObj);
    //从本地存储取商家圈数据
    if(window.sessionStorage && window.sessionStorage.getItem("diary_"+apiObj.fid+"_"+apiObj.tid)){
        var _map = window.sessionStorage.getItem("diary_"+apiObj.fid+"_"+apiObj.tid);
        _map = eval('('+_map+')')

        renderNewBizCircle(_map,_sellers,post_data)

    //本地存储没有数据，请求渲染
    }else{
        //渲染商家信息
        var actUrl = "https://"+post_data.domain+"/api/app/getODiaryStageInfo";
        $.ajax({
            contentType:"application/json",
            type :"GET",
            url : actUrl,
            data : post_data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                var _data = res.diary_stage_info_list;
                //封装map信息
                var _map = {}
                $.each(_data,function(i){
                    if(_data[i].inventory_shop_info_list){
                        _map[_data[i].pid] = _data[i].inventory_shop_info_list;
                    }
                });
                    _map.category_id=res.category_id

                if(window.sessionStorage){
                    window.sessionStorage.setItem("diary_"+apiObj.fid+"_"+apiObj.tid,JSON.stringify(_map))
                }
                renderNewBizCircle(_map,_sellers,post_data)

            }
        });
    }


    //根据阶段埋广告位
    var ids = [];
    for(var i=0;i<_sellers.length;i++){
        var _this = $(_sellers[i]);
        _this.removeClass("init");
        var stageId = _this.attr("data-stageId");
        if(stageId && stageId!=""){
            var advId = "m_"+tool.getCityNameByDomain(config.keyData.domain)+"_app_102_threadbutton_adv_695x145_"+stageId;
            _this.find(".j_diaryAd").attr("data-id",advId);
            ids.push(advId);
        }
    }

    if(ids.length>0){
        getAdByIds(ids.join(","),"MAP",renderAds);
    }
}

//渲染广告位
function renderAds(data){
    if(data){
        $.each(data,function(key){
            if(data[key].length>0){
                var val = JSON.parse(data[key][0].apphtml);
                val.sort(function(){ return 0.5 - Math.random() });
                var titleName = (val[0].title)?val[0].title:'精选推荐';
                var adHtml = '<h3>'+titleName+'</h3><a class="j_diaryAdLink" href="javascript:;" data-link="'+val[0].link.replace("http://","https://")+'" ttname="'+((val[0].ttname)?val[0].ttname:'')+'"><img src="'+val[0].image.replace("http://","https://")+'"/></a>'
                $(".j_diaryAd[data-id='"+key+"']").html(adHtml).parent().addClass("dairy-seller");
            }
        })
    }
}

//渲染商家圈信息
function renderBizCircle(map,obj,param){
    if(map.category_id!=undefined&&map.category_id=="16"){
        obj.addClass("home")
    }
    var pidBidMap = {};
    $.each(map,function(k,v){
        if(v && v.length>0){
            pidBidMap[v[0].bid] = (pidBidMap[v[0].bid])?(pidBidMap[v[0].bid]+" "+k):k;
        }
    });
    for(var i=0;i<obj.length;i++){
        var _this = $(obj[i]).find(".j_diaryBiz");
        var pid = _this.attr("data-pid");
        if(map[pid] && map[pid].length>0){
            var _biz = map[pid][0];
            if(_biz.bid && _biz.bid!="0"){
                var bid = _biz.bid;
                var _param = $.extend(param,{threadTypes:3,bid:bid,page:1,perPage:1})
                //渲染商家圈数据
                $.ajax({
                    contentType: "application/json",
                    type: "GET",
                    async: true,
                    url: "https://"+param.domain+"/api/board/getBoardThreadList",
                    data: _param,
                    dataType: 'jsonp',
                    jsonp: "clientjsonp",
                    success: function(res){
                        if(res.message=="SUCCESS"){
                            var bizHtml = '<h3>该阶段日记的商家</h3>'+
                                '<a href="javascript:;" class="J_goBizCircle" data-bid="'+res.board.bid+'">' +
                                '<img src="'+(res.board.cover).replace("http://","https://")+'"/>' +
                                '<span><h4>'+res.board.name+'</h4>' +
                                '<span>案例:<em>'+res.total_count+'</em>成员:<em>'+res.board.subscribe_num+'</em>' +
                                '</span></span></a>';
                            $.each(pidBidMap[res.board.bid].split(" "),function(i,e){
                                $(".j_diaryBiz[data-pid='"+e+"']").html(bizHtml).parent().addClass("dairy-seller");
                            })
                        }
                    }
                })
            }
        }
    }
}
function getPidShopData(param,cb){
    if(window.sessionStorage && window.sessionStorage.getItem("diary_thread_shop"+param.fid+"_"+param.tid)){
        var _map = window.sessionStorage.getItem("diary_thread_shop"+param.fid+"_"+param.tid);
        _map = JSON.parse(_map);
        typeof cb == "function" && cb(_map)
    //本地存储没有数据，请求渲染
    }else{
        $.ajax({
            contentType: "application/json",
            type: "GET",
            async: true,
            url: "https://"+param.domain+"/api/app/getODiaryThreadShop",
            data: param,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function(res){
                if(res.message=="SUCCESS"){
                    if(window.sessionStorage){
                        window.sessionStorage.setItem("diary_thread_shop"+param.fid+"_"+param.tid,JSON.stringify(res.post_shop_map))
                    }
                    typeof cb == "function" && cb(res.post_shop_map)
                }              
            }
        })
    }
}
function renderNewBizCircle(map,obj,param){
    getPidShopData(param,function (res) {
        var hash=[]
        $.each(res,function (k,v) {
            hash.push({"pidKey":k,"shop_info":v})
        })
        for(var i=0;i<obj.length;i++){//每个楼层
            var _this = $(obj[i]).find(".j_diaryBiz");
			var that = $(obj[i]).siblings(".title-wrap-dairy");
            var pid = _this.attr("data-pid");
            var cityName=tool.getCityNameByDomain(config.keyData.domain)
            for(var j=0;j<hash.length;j++){//根据楼层pid 查找商家信息
                if(pid==hash[j].pidKey && hash[j].shop_info.length>0){
                    var _html=""
                    for(var k=0,len=hash[j].shop_info.length;k<len;k++){//商家信息
                        // if(hash[j].shop_info[k].coupon_name !=""){
                        //     var html1='<p class="total-icon"> <div class="ellipsis yh"><span>优惠</span>'+hash[j].shop_info[k].coupon_name+'</div></p>'
                        // }else if(hash[j].shop_info[k].album_name !=""){
                        //     var html1='<p class="total-icon"> <div class="ellipsis yh"><span>案例</span>'+hash[j].shop_info[k].album_name+'</div></p>'
                        // }else if(hash[j].shop_info[k].score !=""){
                        //     var html1='<p class="total-icon level level_'+hash[j].shop_info[k].score+'"></p>'
                        // }
                        // html +='<li class="swiper-slide box-sizing">'+
                        //     '<a ttname="'+cityName+'_app_tz_diary_'+k+'_3_'+pid+'" href="https://'+config.keyData.domain+'/board-'+hash[j].shop_info[k].bid+'-1.html" class="J_goNewBizCircle" data-bid="'+hash[j].shop_info[k].bid+'">'+
                        //     '<span class="pic">'+
                        //     '<img src="https:'+hash[j].shop_info[k].cover_img+'" alt="">'+
                        //     '</span>'+
                        //     '<span class="shop-swiper-info">'+
                        //     '<p class="title ellipsis">'+hash[j].shop_info[k].shop_name+'</p>'+
                        //     '<p class="info ellipsis">'+
                        //     '<span class="tj">网友提及：<em>'+hash[j].shop_info[k].shop_use_count+'</em></span>'+
                        //     '<span class="anli">真实案例：<em>'+hash[j].shop_info[k].album_num+'</em></span>'+
                        //     '</p>'+html1+'</span></a></li>'
                      console.log(hash[j].shop_info[k]);
                      var shop_name_class = 'shop-name ellipsis fl long'
                      if(hash[j].shop_info[k].bestTenShop === 1 && hash[j].shop_info[k].best_ten_shop_title.length>0){
                        shop_name_class = 'shop-name ellipsis fl'
                      }
                      _html += '<li class="swiper-slide" tttnameNew="{ttname}' + i + '_' + hash[j].shop_info[k].bid + '_'+config.keyData.tid+'" ><a class="shop-item" ttname="{ttname}click_' + i + '_' + hash[j].shop_info[k].bid + '_'+config.keyData.tid+'" href="//www.19lou.com/board-' + hash[j].shop_info[k].bid + '-1.html" target="_blank">' +
                        '<div class="new-shop-item">' +
                        '<div class="fl picture">' +
                        ' <img src="https:' + hash[j].shop_info[k].cover_img + '" alt="">' +
                        '</div>' +
                        ' <div class="fl shop-info">' +
                        '<div class="info-one"><span class="'+shop_name_class+'">'+hash[j].shop_info[k].shop_name+'</span>';
                      if(hash[j].shop_info[k].approve_status === 1){
                        _html += '<span class="vip-icon fl"></span>';
                      }
                      if(hash[j].shop_info[k].best_ten_shop === 1 && hash[j].shop_info[k].best_ten_shop_title.length>0){
                        _html += '<span class="sj-icon fl"><em></em>'+hash[j].shop_info[k].best_ten_shop_title+'</span>';
                      }
                      _html += '</div>';

                      // 第二行
                      if(hash[j].shop_info[k].show_comment==1){
                        _html +=  '<div class="info-two">';
                        if(hash[j].shop_info[k].avg_access>=4.5){
                          // 红星
                          _html +=  '<span class="icon-list star red">';
                          if(hash[j].shop_info[k].avg_access>=4.9){
                            _html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p>';

                          }else{
                            _html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p class="half"></p>';

                          }
                          _html +=  '</span>';
                        }else{
                          // 黄星
                          _html +=  '<span class="icon-list star yellow">';
                          if(hash[j].shop_info[k].avg_access<0.5){
                            _html +=  '<p></p><p></p><p></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<0.9){
                            _html +=  '<p class="half"></p><p></p><p></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<1.5){
                            _html +=  '<p class="color"></p><p></p><p></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<1.9){
                            _html +=  '<p class="color"></p><p class="half"></p><p></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<2.5){
                            _html +=  '<p class="color"></p><p class="color"></p><p></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<2.9){
                            _html +=  '<p class="color"></p><p class="color"></p><p class="half"></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<3.5){
                            _html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p></p><p></p>';
                          }else if(hash[j].shop_info[k].avg_access<3.9){
                            _html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="half"></p><p></p>';
                          }else{
                            _html +=  '<p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p></p>';
                          }
                          _html +=  '</span>';
                        }
                        if(hash[j].shop_info[k].avg_access>0){
                          _html += '<span class="avg">'+parseFloat(hash[j].shop_info[k].avg_access).toFixed(1)+'</span>';
                        }
                        if(hash[j].shop_info[k].show_avg_price===1&&hash[j].shop_info[k].avg_price>0){
                          _html += '<span class="price">均价:￥<em>'+hash[j].shop_info[k].avg_price+'</em></span>';
                        }

                        _html +=  '</div>';
                      }
                      // 第三行
                      _html +=  '<div class="info-three"><span class="s-title fl ellipsis">'+hash[j].shop_info[k].category_name+'</span><span class="address fl ellipsis">'+hash[j].shop_info[k].business_circle+'</span></div>';
                      _html +=  '</div>';

                      _html += '</div></li>';
                      _html = _html.replace(/{ttname}/g,"app_bbs_detail_new_bq_sjq_list_");
                      // html +='<li class="swiper-slide"><div class="new-shop-item" ttnamenew="app_bbs_detail_new_bq_sjq_0_56021480556872852_57111584005959394"><a class="shop-item" ttname="app_bbs_detail_new_bq_sjq_click_0_56021480556872852_57111584005959394" href="//www.19lou.com/board-56021480556872852-1.html" target="_blank"><div class="fl picture"> <img src="https://att2.citysbs.com/haodian/2017/09/08/13/120x120-132554_v2_20681504848354462_9f6bbfe4e90849c327f4d54f5cb397b6.jpg" alt=""></div> <div class="fl shop-info"><div class="info-one"><span class="shop-name ellipsis fl long">箭牌卫浴</span><span class="vip-icon fl"></span></div><div class="info-two"><span class="icon-list star red"><p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p><p class="color"></p></span><span class="avg">5.0</span><span class="price">均价:￥<em>3980</em></span></div><div class="info-three"><span class="s-title fl ellipsis">卫浴瓷砖</span><span class="address fl ellipsis"></span></div></div></a></div></li>'
                    }
                      // tipInfo ='<h2 class="about-shopper">提及商家</h2>'
                      // that.html(tipInfo)
                    _this.find('.swiper-wrapper').html(_html)
                    _this.parent().prev().show()
                    var object="shop-slider-"+i
                    _this.find('.shop-swiper-content .shop-list-container').addClass(object);
                    _this.find('.shop-swiper-content').show()
                    getSwiper(object)
                }
            }
        }
    })
}
function getSwiper(obj){
    if($('.'+obj).find("li").length>1){
        var swiper = new Swiper('.'+obj, {
            autoplay: 3000,
            loop:true,
            pagination: '.swiper-pagination',
            autoplayDisableOnInteraction: false
        });
    }
}
$(".j_diaryAdLink").live("click",function(){
    var url = $(this).attr("data-link");
    connectWebViewJavascriptBridge(function(bridge){
        bridge.createWebPage("",url.replace(/(^\s*)|(\s*$)/g, ""));
    })
})






