/**
 * update by:wuna
 */
(function(){
    var diaryData = {
        headerTpl:[
            '<div class="J_diaryNav nav {{#isMarry}}marry{{/isMarry}}">',
            '<ul>',
            '<li class="active" data-mod="spendList"><a href="javascript:void(0)" ttname="app_diary_list_stage_{{cityName}}">阶段花费</a></li>',
            '<li data-mod="spendListAll"><a href="javascript:void(0)" ttname="app_diary_list_cost_{{cityName}}">全部花费</a></li>',
            '</ul>',
            '</div>'
        ],
        inventoryTpl:[
            '{{#stageInvList}}<div class="J_listMod spend-new spendList {{#isMarry}}marry{{/isMarry}}" style="display:block">',
            '<ul>',
            '{{#hasInventory}}<li>',
            '<div class="step-info clearfix box-sizing">',
            '<h3>{{stage_name}}</h3>',
            '<div class="step-price">阶段合计：<em>￥{{totalPrice}}</em></div>',
            '</div>',
            '{{#inventory_shop_info_list}}<div class="text clearfix box-sizing {{#show_direct}}J_goBizCircle {{/show_direct}}" >',
            '<div class="shop-info">',
            '<p class="ellipsis shop-name">{{shop_name}}</p>',
            '<p class="ellipsis list-name">{{goods_name}}</p>',
            '</div>',
            '<div class="shop-price-info">',
            '<div class="scoreBox">总体评价:<em class="level level_{{level}}"></em></div>',
            '<div class="price">￥<em>{{price}}</em></div>',
            '</div>',
            '</div>{{/inventory_shop_info_list}}',
            '</li>{{/hasInventory}}',
            '</ul>',
            '</div>{{/stageInvList}}'
        ],
        inventoryAllTpl:[
            '<div class="J_listMod spend-new spendListAll {{#isMarry}}marry{{/isMarry}}" style="display:none">',
            '<ul style="padding-bottom: 1rem">',
            '{{#stageInvList}}<li>',
            '<div class="step-info clearfix box-sizing">',
            '<h3>{{stage_name}}</h3>',
            '<div class="step-price">阶段合计：<em>￥{{price}}</em></div>',
            '</div>',
            '{{#inventory_shop_info_list}}<div class="text clearfix box-sizing {{#show_direct}}J_goBizCircle {{/show_direct}}" >',
            '<div class="shop-info">',
            '<p class="ellipsis shop-name">{{shop_name}}</p>',
            '<p class="ellipsis list-name">{{goods_name}}</p>',
            '</div>',
            '<div class="shop-price-info">',
            '<div class="scoreBox">总体评价:<em class="level level_{{level}}"></em></div>',
            '<div class="price">￥<em>{{price}}</em></div>',
            '</div>',
            '</div>{{/inventory_shop_info_list}}',
            '</li>{{/stageInvList}}',
            '</ul>',
            '<div class="footer box-sizing">',
            '{{#islYS}}<p>预算 ￥{{totalBudget}}</p>{{/islYS}}',
            '{{#isTs}}<p class="total">总计 ￥<em>{{totalPrice}}</em></p>{{/isTs}}',
            '</div>',
            '</div>'
        ]
    };
    function getData(data,cb) {
        var data = $.extend(data, diaryUtil.getApi().data);
        var actUrl = "https://" + data.domain + "/api/app/getODiaryStageInfo";
        var res={};
        $.ajax({
            contentType: "application/json",
            type: "GET",
            url: actUrl,
            data: data,
            dataType: 'jsonp',
            jsonp: "clientjsonp",
            success: function (res) {
                var result={}
                result.res = res;
                result.fid=data.fid
                result.tid=data.fid
                result.pid=data.pid
                if(res.category_id=="16"){
                    result.isMarry=false
                }else if(res.category_id=="1"){
                    result.isMarry=true;
                }

                result.cityName=data.cityName;
                typeof  cb == "function" && cb(result)
            },
            error: function (e) {
            }
        });
    }
    getData(diaryUtil.getParam(),function (res) {
        renderDiaryCurSpend(res) //当前阶段花费
        renderDiaryCurSpendAll(res)  //总阶段花费清单
    });
    function renderDiaryCurSpendAll(res) {
        var hash = {};
        hash.fid = res.fid;
        hash.tid = res.tid;
        hash.pid = res.pid
        hash.cityName = res.cityName;
        hash.isMarry=res.isMarry
        var allList = res.res.diary_stage_info_list
        var pidStageMapList = res.res.pid_stage_map
        var tpl = diaryData.inventoryAllTpl.join("");

        var invList = handleInvList(allList,pidStageMapList)
        hash.stageInvList = (invList.length>0)?invList:true;
        if(res.res.total_price=="-1"){
            hash.isTs=false
        }else {
            hash.isTs=true
            hash.totalPrice =res.res.total_price;
        }
        if(res.res.total_budget=="万元"){
            hash.islYS=false
        }else {
            hash.islYS=true
            hash.totalBudget = res.res.total_budget;
        }
        var html = Mustache.render(tpl,hash)
        $("#contain").append(html)
    }
    function renderDiaryCurSpend(res) {
        var hash = {};
        hash.fid = res.fid;
        hash.tid = res.tid;
        hash.cityName = res.cityName;
        hash.pid = res.pid
        hash.isMarry=res.isMarry
        hash.stageInvList = true

        var tpl = diaryData.headerTpl.join("")
            +diaryData.inventoryTpl.join("");

        var allList = res.res.diary_stage_info_list

        $.each(allList,function(i){
            if(allList[i].pid== res.pid){
                var invList = allList[i].inventory_shop_info_list
                hash.stage_name=allList[i].stage_name
                hash.inventory_shop_info_list = invList
                var hasInv = false
                if(allList[i].inventory_shop_info_list!=undefined){
                    hasInv = true
                }
                hash.totalPrice = (allList[i].total_price=="-1")?"0元":allList[i].total_price;
                hash.hasInventory = hasInv;
            }
        })
        var html = Mustache.render(tpl,hash)
        $("#contain").html(html)
    }

    $('.J_diaryNav li').live("click",function(event) {
        $(this).addClass('active').siblings().removeClass('active')
        var cName = $(this).attr("data-mod")
        $("."+cName).show().siblings(".J_listMod").hide()
    });

    //封装数据
    function handleInvList(hash,map){

        //循环 得到map：pid->inv_info
        var pidInvMap={},pidStageMap={},res=[],pidPriceMap=[]
        $.each(hash,function(i){
            if(hash[i].inventory_shop_info_list!=undefined && hash[i].inventory_shop_info_list.length>0){
                pidInvMap[hash[i].pid] = hash[i].inventory_shop_info_list
                pidStageMap[hash[i].pid] = hash[i].stage_name
                pidPriceMap[hash[i].pid]=hash[i].real_total_price
            }
        })
        // //循环 合并相同阶段的清单数据
        $.each(map,function(i){
            var pidArr = map[i].split(" ")
            if(pidInvMap[pidArr[0]]==undefined){
                pidInvMap[pidArr[0]] = []
            }

            $.each(pidArr,function(e){
                if(e>0 && pidInvMap[pidArr[e]]!=undefined){
                    pidInvMap[pidArr[0]] = pidInvMap[pidArr[0]].concat(pidInvMap[pidArr[e]])
                    pidStageMap[pidArr[0]]=pidStageMap[pidArr[e]]
                    pidInvMap[pidArr[e]] = undefined
                }
            })
            if(pidPriceMap[pidArr[0]]==undefined){
                pidPriceMap[pidArr[0]] = 0
            }
            $.each(pidArr,function(j){
                if(j>0 && pidPriceMap[pidArr[j]]!=undefined){
                    pidPriceMap[pidArr[0]]=Number(pidPriceMap[pidArr[0]])+Number(pidPriceMap[pidArr[j]])
                    pidPriceMap[pidArr[j]] = undefined
                }
            })
            if(pidPriceMap[pidArr[0]]>10000){
                pidPriceMap[pidArr[0]]=(pidPriceMap[pidArr[0]]/10000)+'万'
            }
        })
        //循环 封装清单数据
        $.each(pidInvMap,function(i){
            if(pidInvMap[i]!=undefined && pidInvMap[i]!=""){
                res.push({"inventory_shop_info_list":pidInvMap[i],"stage_name":pidStageMap[i],"hasInventory":true,"price":pidPriceMap[i]});
            }
        })
        return res;
    }

    //商家圈跳转
    $(".J_goBizCircle").live("click",function(){
        var fid = $(this).attr("data-bid");
        ttclickAdd($(this).attr("ttname"));
        openBridge.bridge("gotoBusinessCircle",fid)
    })

})()
