/**
 * Created with IntelliJ IDEA.
 * User: chensisi
 * Date: 16-8-30
 * Time: 下午4:24
 * Desc: 体验帖详情页渲染
 * To change this template use File | Settings | File Templates.
 */

getExpWebView = function(options){
    var view = {};
    view.version = "1.0";
    view._data = {
        conf:{
            data : "",
            owner : true, /*1:首页;2:第二页；>2:跟帖*/
            jid : "views",
            mid : "mainView",
            message : "加载中",
            status : "0", /*0:加载中;1:加载成功;2：加载失败*;3:没有更多,4:权限判断*/
            type : "0" ,/*0:刷新；1：插入*/
            isNightMode:false /*夜间模式*/
        },
        tpl:config.templet.tpl()
    };
    view._util = {};
    view._fun= {};

    (function(d,util){
        util._toBoolean = function(s){
            s = (s != undefined) ? s : this.toString();
            if(s==="false"||s===0){
                return false;
            }else if(s==="true"||s===1){
                return true;
            }else{
                return s;
            }
        }
        util.isBoard=function(){
            if(config.keyData.fid.toString().length < 8){return false;}else{return true;}
        }
        util.getHash = function() {
            return $.extend(d.conf, options);
        }
        util.$ = function(em){
            return $("#" + em)
        };
        util._isArray = function(obj) {
            return Object.prototype.toString.call(obj).toLowerCase() === '[object array]';
        }
        util._isObj = function(obj) {
            return Object.prototype.toString.call(obj).toLowerCase() === '[object object]';
        }
        util.attachmentsFilter = function(attachments,w){
            var att = "";
            if(attachments.length>0){
                for(i in attachments){
                    attachments[i] = attachments[i].replace("http://","https://");
                    if(attachments[i].indexOf(".mp4")!=-1){
                        var exp = /<img[^>]*src="([^"]+)"[^>]*\/?>/;
                        var r = attachments[i].match(exp);
                        if(r!=null){
                            var src = r[1];
                            src = src.replace("att3.citysbs.com/m480x","att2.citysbs.com");
                            var v_html = "<video src='"+src+"' controls='controls' onerror='v_reload(event);'></video>";
                            att +=v_html;
                        }
                    }else{
                        att += this.imgLazy(attachments[i],w);
                    }
                }
            }
            return att;
        }
        util = $.extend(util,tool);
    })(view._data,view._util);

    (function(d,util,fun){
        fun.expCouponFun = function(){
            function iscrollWidth(id) {
                var listLen = $(id).find("li").length;
                var liWidth =$(id).find("li").outerWidth(true)+1;
                $(id).find("ul").css("width", listLen * liWidth);
            }
            iscrollWidth("#coupon-scroll");
            iscrollWidth("#coupon-scroll2");

            $(window).on("resize", function() {
                iscrollWidth("#coupon-scroll");
                iscrollWidth("#coupon-scroll2");
            }).trigger("resize");
            var myScroll;

            function loaded(id) {
                myScroll = new IScroll(id, {
                    eventPassthrough: true,
                    scrollX: true,
                    scrollY: false,
                    preventDefault: false
                });
            }
            loaded("#coupon-scroll");
            loaded("#coupon-scroll2");
        }

        var hash = util.getHash();
        var view_data = hash.data;
        var board = hash.board;
        var owner = hash.owner;
        var type = hash.type;
        var status = hash.status;
        var jid = hash.jid;
        var mid = hash.mid;
        var message = hash.message
        var isNightMode = util._toBoolean(hash.isNightMode);

        //主楼区
        fun.createMain = function(list){
            var items = list;
            if(util._isArray(items) && items.length > 0){
                var param = items[0];
                param.subject = util.emoji(param.subject);
                param.subject = util.html_encode(param.subject);
                param.message = util.html_encode(param.message);
                param.message=util.video2gif(param.message);
                var subject = param.subject;
                var tpl = "";
                if(param.thread_tags != "" && param.thread_tags){
                    param.threadTags = true;
                    param.thread_tag = param.thread_tags.slice(0, 4)
                }
                if(param.status != "0"){
                    param.message = "";
                    param.subject = "该帖子被屏蔽";
                    tpl = d.tpl.main.join("");
                }else {
                    param.hasSubject = true;
                    param.expTitle = param.subject
                    param.message = util.filter(param.message);
                    if(param.message.indexOf(subject) >-1){
                        param.subject = "";
                        param.hasSubject = false;
                        param.expTitle = (param.message.length>20)?param.message.substring(0,20):param.message;
                    }
                    param.showVerify = fun.showVerify(param.verify);
                    param.created_at = util.formatTime(param.created_at);
                    param.message = util.imgLazy(param.message,1);
                    param.attachments = util.attachmentsFilter(param.attachments,1);
                    param.views = util.postViews(param.views);
                    tpl = d.tpl.expMain.join("");
                }
                // 日/夜间模式
                if(isNightMode || config.keyData.isNovel == "true"){
                    param.message = util.colorFilter(param.message);
                }

                //字体设置
                param = util.setFont(param);
                param.gold_count=parseInt(param.gold_count)+parseInt(param.reward_count)
                switch(parseInt(param.reward_count))
                {
                    case 0:
                        param.height='0rem';
                        break;
                    case 1:
                        param.height='10.7rem';
                        break;
                    case 2:
                        param.height='21rem';
                        break;
                    default:
                        param.height='24rem;'
                }
                if(parseInt(param.is_item)==0){
                    delete  param.is_item;
                }

                param.board = board;
                param.board.cover = param.board.cover.replace("http://","https://");
                param.count = (param.othread_ref_list.count>0)?param.othread_ref_list.count:0
                param.has_act_item = ($.trim(param.act_item_id)!="")?true:false;
                param.is_bizcircle = (board.board_type=="8")?true:false;

                //关联优惠券模块展现
                var couponHash = {}
                couponHash.act_items = param.act_items;
                //处理价格文案、按钮文案、默认图片exp-default.png
                $.each(couponHash.act_items,function(i,e){
                    //价格
                    var priceText = "免费";
                    if(e.shop_coupon_gold_rule && e.shop_coupon_gold_rule.pay_value && e.shop_coupon_gold_rule.pay_value>0){
                        priceText = "￥"+(e.shop_coupon_gold_rule.pay_value/100).toFixed(2);
                    }
                    couponHash.act_items[i].price_text = priceText;
                    //按钮文案
                    couponHash.act_items[i].btn_text = (e.coupon_rule==2|| e.coupon_rule==3)?"立即购买":"我要申请";

                    //默认首图
                    couponHash.act_items[i].first_img = ($.trim(couponHash.act_items[i].first_img)=="")?"view/css/exp/images/exp-default.png":couponHash.act_items[i].first_img.replace("http://","https://");
                })
                param.couponHtml = fun.create(d.tpl.expCouponList.join(""),couponHash,jid,"4");

                //渲染体验用户区域
                param.expUserHtml = "";
                if(param.othread_ref_list && param.othread_ref_list.count>0){
                    var expUserHash = param.othread_ref_list;
                    expUserHash.showMore = false;
                    if(param.othread_ref_list.count>6){
                        expUserHash.showMore = true;
                        $.each(expUserHash.othread_ref_list,function(i){
                            if(i>5){
                                expUserHash.othread_ref_list[i].display_style = " style=\"display:none\""
                            }
                            expUserHash.othread_ref_list[i].bd_thread.user_avatar_url = expUserHash.othread_ref_list[i].bd_thread.user_avatar_url.replace("http://","https://");
                        })
                    }
                    param.expUserHtml = fun.create(d.tpl.expUserList.join(""),expUserHash,jid,"4");
                }

                //渲染主帖
                fun.create(tpl,param,jid,"1");

                //体验子帖存在，渲染体验子帖内容
                if(param.othread_ref_list && param.othread_ref_list.count>0){
                    fun.createExpItem(param.othread_ref_list)
                }

                //滑动事件加载
                fun.expCouponFun();
            }else{
                fun.loadIng("数据解析异常");
            }
        }



        /**
         * 跟帖
         * @param  {Object} list
         */
        fun.createExpItem= function(list){
            var data = list.othread_ref_list ||  list[0].othread_ref_list;
            //处理数据
            $.each(data,function(i,e){
                e.bd_thread.user_avatar_url = e.bd_thread.user_avatar_url.replace("http://","https://");
                if(e.bd_thread.pic_addrs && e.bd_thread.pic_addrs!=""){
                    var imgList = e.bd_thread.pic_addrs.substring(0,e.bd_thread.pic_addrs.length-1).replace(/\/90x60\//g,"/220x160/").replace(/\/250x130\//g,"/220x160/").replace(/http:\/\//g,"https://").split(",");
                    imgList = $.grep(imgList, function( n, i ) {
                        return i <= 2;
                    });
                }
                data[i].bd_thread.imgList = imgList
            })
            list.othread_ref_list = data

            fun.create(d.tpl.expSubThread.join(""),list,"expList","1");
        }

        fun.showVerify = function(verify){
            var v = verify;
            if(v == 1){
                v = "dricon1";
            }else if(v == 2){
                v = "dricon2";
            }else if(v == 3){
                v = "dricon3";
            }else{
                v = null;
            }
            return v;
        }

        /**
         * 加载成功
         *
         */
        fun.loadOk = function(){
            if(owner){
                fun.createMain(view_data);
            }else{
                fun.createExpItem(view_data,0);
            }
            maxVideo();//全景视频
            fun.createLoadTip();
        }
        /***加载中*/
        fun.loadIng = function(m){
            var param = {"message":m};
            if(status == "0"){
                param.img = "loading.gif";
                param.class="load";
            }
            if(status == "3"){
                param.class="noMore";
            }
            if(status == "2"){
                param.class="reload";
            }
            if(status == "5"){
                param.class="nobody";
            }
            //var tpl = d.tpl.buttomtwo.join("");
            var tpl = d.tpl.load.join("");
            fun.create(tpl,param,jid,"1");
        }

        fun.createLoadTip = function(){
            if(config.keyData.pageMode == "press"){
                var param = {};
                if(config.keyData.current_page>=config.keyData.maxPage){
                    param.n_able = "disable";
                }else if(config.keyData.current_page<=1){
                    param.p_able = "disable";
                }
                param.page = config.keyData.current_page+"/"+config.keyData.maxPage;
                if(config.keyData.current_page==config.keyData.maxPage){
                    param.last = true;
                }
                var tpl = d.tpl.pagen.join("");
                fun.create(tpl,param,jid,"1");
                if(config.keyData.current_page==config.keyData.maxPage) {
                    aboutSomeBook();
                }
            }
        }
        fun.create = function(tpl,param,obj,method){
            var h = Mustache.render(tpl, param);
            var o = util.$(obj);
            switch(method){
                case "1" :
                    o.append(h);
                    break;
                case "2" :
                    o.prepend(h);
                    break;
                case "3" :
                    o.html(h);
                    break;
                case "4" :
                    return h;
            }

        }
        fun.init = function(){
            $(".loading").remove();
            if(type == "0"){
                $("#views").html("");
                document.body.scrollTop = 0;
            }
            if(status == "1"){
                if (util._isArray(view_data) && view_data !==null && view_data!==undefined){
                    fun.loadOk();
                    if(config.keyData.pageMode == "scroll"){
                        fun.loadIng("上拉加载更多");
                    }
                }
                else{
                    message = view_data;
                    fun.loadIng(message);

                }
            }
            else{
                fun.loadIng(message);
            }
        }
        fun.init();

    })(view._data,view._util,view._fun)
}
